Index: general.ent
===================================================================
--- general.ent	(revision cda0a698dd1ec43734f3e06a005168da50701a2d)
+++ general.ent	(revision 875b4070535b5205ea8757d3aaa7f2de164b4186)
@@ -123,5 +123,5 @@
 <!ENTITY nss-version                  "3.13.1">
 <!ENTITY policykit-version            "0.9">
-<!ENTITY polkit-version               "0.94">
+<!ENTITY polkit-version               "0.102">
 <!ENTITY polkit-gnome-version         "0.94">
 <!ENTITY consolekit-version           "0.4.1">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision cda0a698dd1ec43734f3e06a005168da50701a2d)
+++ introduction/welcome/changelog.xml	(revision 875b4070535b5205ea8757d3aaa7f2de164b4186)
@@ -48,4 +48,7 @@
           <para>[wblaszcz] - Downgraded D-BUS to 1.4.0.</para>
         </listitem>
+        <listitem>
+          <para>[wblaszcz] - Updated to polkit-0.102.</para>
+        </listitem>
       </itemizedlist>
     </listitem>
Index: postlfs/security/policykit.xml
===================================================================
--- postlfs/security/policykit.xml	(revision cda0a698dd1ec43734f3e06a005168da50701a2d)
+++ postlfs/security/policykit.xml	(revision 875b4070535b5205ea8757d3aaa7f2de164b4186)
@@ -243,9 +243,9 @@
       </varlistentry>
 
-      <varlistentry id="polkitd">
+      <varlistentry id="polkitd-0.9">
         <term><command>polkitd</command></term>
         <listitem>
           <para>is the <application>PolicyKit</application> daemon.</para>
-          <indexterm zone="policykit polkitd">
+          <indexterm zone="policykit polkitd-0.9">
             <primary sortas="b-polkitd">polkitd</primary>
           </indexterm>
Index: postlfs/security/polkit.xml
===================================================================
--- postlfs/security/polkit.xml	(revision cda0a698dd1ec43734f3e06a005168da50701a2d)
+++ postlfs/security/polkit.xml	(revision 875b4070535b5205ea8757d3aaa7f2de164b4186)
@@ -7,8 +7,8 @@
   <!ENTITY polkit-download-http "http://hal.freedesktop.org/releases/polkit-&polkit-version;.tar.gz">
   <!ENTITY polkit-download-ftp  " ">
-  <!ENTITY polkit-md5sum        "5abc9f858e7b614ef41161db36d53915">
-  <!ENTITY polkit-size          "986 KB">
-  <!ENTITY polkit-buildsize     "17 MB">
-  <!ENTITY polkit-time          "0.3 SBU">
+  <!ENTITY polkit-md5sum        "a3726bdb9728c103e58f62131e26693a">
+  <!ENTITY polkit-size          "860 KB">
+  <!ENTITY polkit-buildsize     "18 MB">
+  <!ENTITY polkit-time          "0.2 SBU">
 ]>
 
@@ -34,5 +34,5 @@
     unprivileged processes to speak to privileged processes.</para>
 
-    &lfs65_checked;
+    &lfs70_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -61,12 +61,20 @@
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para role="required"><xref linkend="eggdbus"/>,
-    <xref linkend="intltool"/>,
-    <xref linkend="linux-pam"/>,
-    <xref linkend="gobject-introspection"/>, and
-    <xref linkend="DocBook"/></para>
+    <para role="required"><xref linkend="expat"/>,
+    <xref linkend="intltool"/>, and
+    <xref linkend="pkgconfig"/></para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional"><xref linkend="gtk-doc"/></para>
+    <para role="optional"><xref linkend="DocBook"/>,
+    <xref linkend="docbook-xsl"/>,
+    <xref linkend="gobject-introspection"/>,
+    <xref linkend="gtk-doc"/>,
+    <xref linkend="libxslt"/>, and
+    <xref linkend="linux-pam"/></para>
+
+    <note>
+      <para>If <xref linkend="libxslt"/> is installed then <xref
+      linkend="DocBook"/> and <xref linkend="docbook-xsl"/> are required.</para>
+    </note>
 
     <para condition="html" role="usernotes">User Notes:
@@ -90,6 +98,9 @@
     commands as an unprivileged user:</para>
 
-<screen><userinput>./configure --prefix=/usr --sysconfdir=/etc \
-    --libexecdir=/usr/lib/polkit-1 --localstatedir=/var &amp;&amp;
+<screen><userinput>./configure --prefix=/usr \
+            --sysconfdir=/etc \
+            --libexecdir=/usr/lib/polkit-1 \
+            --localstatedir=/var \
+            --with-authfw=shadow &amp;&amp;
 make</userinput></screen>
 
@@ -104,4 +115,9 @@
   <sect2 role="commands">
     <title>Command Explanations</title>
+
+    <para><parameter>--with-authfw=shadow</parameter>: This parameter will use
+    the <application>Shadow</application> rather than the
+    <application>Linux-PAM</application> Authentication framework. Remove it if
+    you would like to use <application>Linux-PAM</application>.</para>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
@@ -119,11 +135,11 @@
 
       <seglistitem>
-        <seg>pkaction, pkcheck, pk-example-frobnicate, pkexec,
+        <seg>pk-example-frobnicate, pkaction, pkcheck, pkexec,
         polkit-agent-helper-1, and polkitd</seg>
-        <seg>libpolkit-agent-1.{so,a}, libpolkit-backend-1.{so,a},
-        libpolkit-gobject-1.{so,a}, libnullbackend.{so,a}, and
-        libpkexec-action-lookup.{so,a}</seg>
-        <seg>/etc/polkit-1/{localauthority.conf.d,nullbackend.conf.d},
-        /usr/{include/polkit-1/{polkit,polkitagent,polkitbackend},
+        <seg>libnullbackend.{so,a}, libpolkit-agent-1.{so,a},
+        libpolkit-backend-1.{so,a}, and libpolkit-gobject-1.{so,a}</seg>
+        <seg>/etc/polkit-1/{localauthority.conf.d,localauthority/{10-vendor.d,
+        20-org.d,30-site.d,50-local.d,90-mandatory.d},nullbackend.conf.d},
+        /usr/{include/polkit-1/{polkitagent,polkitbackend},
         lib/polkit-1/extensions,share/polkit-1/actions},
         /var/lib/polkit-1/localauthority/{10-vendor.d,20-org.d,30-site.d,
@@ -137,4 +153,14 @@
       <?dbhtml list-presentation="table"?>
 
+<!--  <varlistentry id="pk-example-frobnicate">
+        <term><command>pk-example-frobnicate</command></term>
+        <listitem>
+          <para>does this .....</para>
+          <indexterm zone="polkit pk-example-frobnicate">
+            <primary sortas="b-pk-example-frobnicate">pk-example-frobnicate</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>-->
+
       <varlistentry id="pkaction">
         <term><command>pkaction</command></term>
@@ -157,14 +183,4 @@
       </varlistentry>
 
-<!--      <varlistentry id="pk-example-frobnicate">
-        <term><command>pk-example-frobnicate</command></term>
-        <listitem>
-          <para>does this .....</para>
-          <indexterm zone="polkit pk-example-frobnicate">
-            <primary sortas="b-pk-example-frobnicate">pk-example-frobnicate</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>-->
-
       <varlistentry id="pkexec">
         <term><command>pkexec</command></term>
@@ -177,5 +193,5 @@
       </varlistentry>
 
-<!--      <varlistentry id="polkit-agent-helper-1">
+<!--  <varlistentry id="polkit-agent-helper-1">
         <term><command>polkit-agent-helper-1</command></term>
         <listitem>
@@ -187,11 +203,21 @@
       </varlistentry>-->
 
-      <varlistentry id="polkitd-0.94">
+      <varlistentry id="polkitd">
         <term><command>polkitd</command></term>
         <listitem>
           <para>provides the org.freedesktop.PolicyKit1
           <application>D-Bus</application> service on the system message bus.</para>
-          <indexterm zone="polkit polkitd-0.94">
+          <indexterm zone="polkit polkitd">
             <primary sortas="b-polkitd">polkitd</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libnullbackend">
+        <term><filename class='libraryfile'>libnullbackend.{so,a}</filename></term>
+        <listitem>
+          <para>contains functions that .....</para>
+          <indexterm zone="polkit libnullbackend">
+            <primary sortas="c-libnullbackend">libnullbackend.{so,a}</primary>
           </indexterm>
         </listitem>
@@ -231,24 +257,4 @@
       </varlistentry>
 
-      <varlistentry id="libnullbackend">
-        <term><filename class='libraryfile'>libnullbackend.{so,a}</filename></term>
-        <listitem>
-          <para>is an extension library.</para>
-          <indexterm zone="polkit libnullbackend">
-            <primary sortas="c-libnullbackend">libnullbackend.{so,a}</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="libpkexec-action-lookup">
-        <term><filename class='libraryfile'>libpkexec-action-lookup.{so,a}</filename></term>
-        <listitem>
-          <para>is an extension library.</para>
-          <indexterm zone="polkit libpkexec-action-lookup">
-            <primary sortas="c-libpkexec-action-lookup">libpkexec-action-lookup.{so,a}</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
     </variablelist>
 