Index: basicnet/mailnews/fetchmail.xml
===================================================================
--- basicnet/mailnews/fetchmail.xml	(revision 196f1bd4fde7c402a831a48eca671f8975c09f7a)
+++ basicnet/mailnews/fetchmail.xml	(revision 876ad7f28a39239d8770c5c07769c979f73d14f9)
@@ -6,11 +6,8 @@
 
   <!ENTITY fetchmail-download-http "http://download2.berlios.de/fetchmail/fetchmail-&fetchmail-version;.tar.bz2">
-  <!ENTITY fetchmail-download-ftp  " ">
-<!--
-  <!ENTITY fetchmail-download-ftp  "ftp://ftp2.be.freesbie.org/packages/openbsd/distfiles/fetchmail-&fetchmail-version;.tar.gz">
--->
-  <!ENTITY fetchmail-md5sum        "35ded0414fcff79b492d6ade2ce48911">
-  <!ENTITY fetchmail-size          "1.2 MB">
-  <!ENTITY fetchmail-buildsize     "9.4 MB">
+  <!ENTITY fetchmail-download-ftp  "&gentoo-ftp-repo;/fetchmail-&fetchmail-version;.tar.bz2">
+  <!ENTITY fetchmail-md5sum        "66b97500b0a1e3c0916b3b5314f597f5">
+  <!ENTITY fetchmail-size          "1.3 MB">
+  <!ENTITY fetchmail-buildsize     "8.9 MB">
   <!ENTITY fetchmail-time          "0.1 SBU">
 ]>
@@ -34,7 +31,7 @@
 
     <para>The <application>Fetchmail</application> package contains a mail
-    retrieval program. &quot;It retrieves mail from remote mail servers and
-    forwards it to your local (client) machine's delivery system, so it can then be
-    read by normal mail user agents.&quot; </para>
+    retrieval program. It retrieves mail from remote mail servers and
+    forwards it to the local (client) machine's delivery system, so it can then be
+    read by normal mail user agents.</para>
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -94,10 +91,10 @@
     <title>Command Explanations</title>
 
-    <para><parameter>--with-ssl</parameter>: This enables SSL if found, so that
+    <para><parameter>--with-ssl</parameter>: This enables SSL support, so that
     you can handle connections to secure POP3 and IMAP servers.</para>
 
     <para><parameter>--enable-fallback=procmail</parameter>: This tells
     <application>Fetchmail</application> to hand incoming mail to
-    <application>Procmail</application> for delivery if your port 25 mail server is
+    <application>Procmail</application> for delivery, if the port 25 mail server is
     not present or not responding.</para>
 
@@ -137,5 +134,5 @@
 
       <para><command>man fetchmail</command>: Look for the section near
-      the bottom named <emphasis role="strong">CONFIGURATION EXAMPLES</emphasis>. It
+      the bottom named <emphasis>CONFIGURATION EXAMPLES</emphasis>. It
       gives some quick examples. There are countless other config options once
       you get used to it.</para>
@@ -168,6 +165,7 @@
         <term><command>fetchmail</command></term>
         <listitem>
-          <para>when executed as a user, this will source that users
-          <filename>~/.fetchmailrc</filename> and download the appropriate mail.</para>
+          <para>when executed as a user, this will source
+          <filename>~/.fetchmailrc</filename> and download the appropriate mail.
+          </para>
           <indexterm zone="fetchmail fetchmail-prog">
             <primary sortas="b-fetchmail">fetchmail</primary>
@@ -179,8 +177,8 @@
         <term><command>fetchmailconf</command></term>
         <listitem>
-          <para>this program provides a <application>Tk</application>
-            GUI interface to your <filename>~/.fetchmailrc</filename>
-            file making it much easier to configure.  However, you will require
-            <application>Python</application>, and it must have the Tkinker module
+          <para>it will assist you in setting up and editing a
+          <filename>~/.fetchmailrc</filename> configuration file, by using
+          a <application>Tk</application> GUI interface. It requires
+          <application>Python</application> and it must have the Tkinker module
           available.</para>
           <indexterm zone="fetchmail fetchmailconf">
Index: general.ent
===================================================================
--- general.ent	(revision 196f1bd4fde7c402a831a48eca671f8975c09f7a)
+++ general.ent	(revision 876ad7f28a39239d8770c5c07769c979f73d14f9)
@@ -346,5 +346,5 @@
 <!ENTITY mailx-version                "12.2">
 <!ENTITY procmail-version             "3.22">
-<!ENTITY fetchmail-version            "6.3.4">
+<!ENTITY fetchmail-version            "6.3.8">
 <!ENTITY mutt-version                 "1.5.16">
 <!ENTITY pine-version                 "4.64">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 196f1bd4fde7c402a831a48eca671f8975c09f7a)
+++ introduction/welcome/changelog.xml	(revision 876ad7f28a39239d8770c5c07769c979f73d14f9)
@@ -45,4 +45,7 @@
       <para>August 3rd, 2007</para>
       <itemizedlist>
+        <listitem>
+          <para>[ag] - Updated to Fetchmail-6.3.8.</para>
+        </listitem>
         <listitem>
           <para>[randy] - Updated to GOffice-0.4.2.</para>