Index: gnome/platform/gnome-bluetooth.xml
===================================================================
--- gnome/platform/gnome-bluetooth.xml	(revision d47ad20ca3558a64e5dda6b0b395a1e02bd74d07)
+++ gnome/platform/gnome-bluetooth.xml	(revision 877bb3801b67d5f9cea34b02e2faddb9734a80c7)
@@ -9,8 +9,8 @@
   <!ENTITY gnome-bluetooth-download-ftp
            "&gnome-download-ftp;/gnome-bluetooth/&gnome-minor-28;/gnome-bluetooth-&gnome-bluetooth-version;.tar.xz">
-  <!ENTITY gnome-bluetooth-md5sum        "75ec82570d0baf18b6cbff86c2712e87">
+  <!ENTITY gnome-bluetooth-md5sum        "eff705fadd5e0bb44a087d10fcbe34af">
   <!ENTITY gnome-bluetooth-size          "344 KB">
-  <!ENTITY gnome-bluetooth-buildsize     "13 MB">
-  <!ENTITY gnome-bluetooth-time          "less than 0.1 SBU (using parallelism=4)">
+  <!ENTITY gnome-bluetooth-buildsize     "17 MB">
+  <!ENTITY gnome-bluetooth-time          "less than 0.1 SBU">
 ]>
 
Index: gnome/platform/gnome-keyring.xml
===================================================================
--- gnome/platform/gnome-keyring.xml	(revision d47ad20ca3558a64e5dda6b0b395a1e02bd74d07)
+++ gnome/platform/gnome-keyring.xml	(revision 877bb3801b67d5f9cea34b02e2faddb9734a80c7)
@@ -9,8 +9,8 @@
   <!ENTITY gnome-keyring-download-ftp
            "&gnome-download-ftp;/gnome-keyring/&gnome-minor-28;/gnome-keyring-&gnome-keyring-version;.tar.xz">
-  <!ENTITY gnome-keyring-md5sum        "0a12410cbc6080bf55eef2e4e43344f7">
+  <!ENTITY gnome-keyring-md5sum        "284580f954f762caf62aed2ae7358177">
   <!ENTITY gnome-keyring-size          "1.3 MB">
-  <!ENTITY gnome-keyring-buildsize     "128 MB">
-  <!ENTITY gnome-keyring-time          "0.3 SBU (using parallelism=4)">
+  <!ENTITY gnome-keyring-buildsize     "161 MB">
+  <!ENTITY gnome-keyring-time          "0.9 SBU">
 ]>
 
@@ -83,5 +83,5 @@
     <bridgehead renderas="sect4">Recommended</bridgehead>
     <para role="recommended">
-      <xref linkend="linux-pam"/>
+      <xref linkend="linux-pam"/>,
       <xref linkend="libxslt"/>, and
       <xref linkend="openssh"/>
Index: gnome/platform/gvfs.xml
===================================================================
--- gnome/platform/gvfs.xml	(revision d47ad20ca3558a64e5dda6b0b395a1e02bd74d07)
+++ gnome/platform/gvfs.xml	(revision 877bb3801b67d5f9cea34b02e2faddb9734a80c7)
@@ -7,8 +7,8 @@
   <!ENTITY gvfs-download-http "&gnome-download-http;/gvfs/1.36/gvfs-&gvfs-version;.tar.xz">
   <!ENTITY gvfs-download-ftp  "&gnome-download-ftp;/gvfs/1.36/gvfs-&gvfs-version;.tar.xz">
-  <!ENTITY gvfs-md5sum        "216d461c5e96e2cea74253be407af6dc">
+  <!ENTITY gvfs-md5sum        "10b84073fe5f3d540abd9d36ed342b37">
   <!ENTITY gvfs-size          "1.2 MB">
-  <!ENTITY gvfs-buildsize     "40 MB">
-  <!ENTITY gvfs-time          "0.1 SBU (Using parallelism=4)">
+  <!ENTITY gvfs-buildsize     "57 MB">
+  <!ENTITY gvfs-time          "0.1 SBU">
 ]>
 
@@ -180,5 +180,5 @@
       -Dgoa=false       \
       -Dgoogle=false    \
-      -Dsystemduserunitdir=no &amp;&amp;
+      -Dsystemduserunitdir=no .. &amp;&amp;
 ninja</userinput></screen>
 
@@ -197,5 +197,5 @@
       -Ddnssd=false     \
       -Dgoa=false       \
-      -Dgoogle=false    &amp;&amp;
+      -Dgoogle=false    .. &amp;&amp;
 ninja</userinput></screen>
 
@@ -249,8 +249,11 @@
       <seglistitem>
         <seg>
-          gvfs-cat, gvfs-copy, gvfs-info, gvfs-less, gvfs-ls, gvfs-mime,
+<!--          gvfs-cat, gvfs-copy, gvfs-info, gvfs-less, gvfs-ls, gvfs-mime,
           gvfs-mkdir, gvfs-monitor-dir, gvfs-monitor-file, gvfs-mount,
           gvfs-move, gvfs-open, gvfs-rename, gvfs-rm, gvfs-save,
-          gvfs-set-attribute, gvfs-trash, and gvfs-tree
+          gvfs-set-attribute, gvfs-trash, and gvfs-tree -->
+          <!-- None are installed in 1.36.2. It's slightly concerning but
+               maybe the functionality is elsewhere now. -->
+          None
         </seg>
         <seg>
@@ -270,5 +273,5 @@
       <?dbfo list-presentation="list"?>
       <?dbhtml list-presentation="table"?>
-
+<!--
       <varlistentry id="gvfs-cat">
         <term><command>gvfs-cat</command></term>
@@ -498,5 +501,5 @@
         </listitem>
       </varlistentry>
-
+-->
       <varlistentry id="libgvfscommon">
         <term><filename class="libraryfile">libgvfscommon.so</filename></term>
Index: gnome/platform/nautilus.xml
===================================================================
--- gnome/platform/nautilus.xml	(revision d47ad20ca3558a64e5dda6b0b395a1e02bd74d07)
+++ gnome/platform/nautilus.xml	(revision 877bb3801b67d5f9cea34b02e2faddb9734a80c7)
@@ -9,8 +9,8 @@
   <!ENTITY nautilus-download-ftp
            "&gnome-download-ftp;/nautilus/&gnome-minor-28;/nautilus-&nautilus-version;.tar.xz">
-  <!ENTITY nautilus-md5sum        "48fb205089ea8e5d85d11285111af7cb">
+  <!ENTITY nautilus-md5sum        "83234937ab14b066e627c105d3ae2048">
   <!ENTITY nautilus-size          "3.1 MB">
-  <!ENTITY nautilus-buildsize     "72 MB (with tests)">
-  <!ENTITY nautilus-time          "0.3 SBU (iusing parallelism=4; with tests)">
+  <!ENTITY nautilus-buildsize     "91 MB (with tests)">
+  <!ENTITY nautilus-time          "0.3 SBU (with tests)">
 ]>
 
@@ -86,6 +86,7 @@
     <bridgehead renderas="sect4">Recommended</bridgehead>
     <para role="recommended">
+      <xref linkend="desktop-file-utils"/>,
       <xref linkend="exempi"/>,
-      <xref linkend="gobject-introspection"/>
+      <xref linkend="gobject-introspection"/>, and
       <xref linkend="libexif"/>
     </para>
@@ -172,5 +173,5 @@
       <seglistitem>
         <seg>
-          nautilus, nautilus-autorun-software, and nautilus-desktop
+          nautilus and nautilus-autorun-software
         </seg>
         <seg>
Index: gnome/platform/zenity.xml
===================================================================
--- gnome/platform/zenity.xml	(revision d47ad20ca3558a64e5dda6b0b395a1e02bd74d07)
+++ gnome/platform/zenity.xml	(revision 877bb3801b67d5f9cea34b02e2faddb9734a80c7)
@@ -7,7 +7,7 @@
   <!ENTITY zenity-download-http "&gnome-download-http;/zenity/&gnome-minor-28;/zenity-&zenity-version;.tar.xz">
   <!ENTITY zenity-download-ftp  "&gnome-download-ftp;/zenity/&gnome-minor-28;/zenity-&zenity-version;.tar.xz">
-  <!ENTITY zenity-md5sum        "0916c428ed858242c0864da4dc4c7f02">
-  <!ENTITY zenity-size          "4.2 MB">
-  <!ENTITY zenity-buildsize     "17 MB">
+  <!ENTITY zenity-md5sum        "75344e6697f8f8111643d38f49a493ce">
+  <!ENTITY zenity-size          "4.3 MB">
+  <!ENTITY zenity-buildsize     "27 MB">
   <!ENTITY zenity-time          "0.1 SBU">
 ]>