Index: general.ent
===================================================================
--- general.ent	(revision a2702448fd0d5505ad0dfa5b995e33fec0c5f1fb)
+++ general.ent	(revision 879d269d47619b04ca6b62160590dd0057943109)
@@ -4,5 +4,5 @@
 -->
 
-<!ENTITY day          "16">                   <!-- Always 2 digits -->
+<!ENTITY day          "18">                   <!-- Always 2 digits -->
 <!ENTITY month        "02">                   <!-- Always 2 digits -->
 <!ENTITY year         "2009">
Index: general/prog/python.xml
===================================================================
--- general/prog/python.xml	(revision a2702448fd0d5505ad0dfa5b995e33fec0c5f1fb)
+++ general/prog/python.xml	(revision 879d269d47619b04ca6b62160590dd0057943109)
@@ -8,7 +8,7 @@
   <!ENTITY python-download-ftp  "&gentoo-ftp-repo;/Python-&Python-version;.tar.bz2">
   <!ENTITY python-md5sum        "e81c2f0953aa60f8062c05a4673f2be0">
-  <!ENTITY python-size          "10.5 MB">
-  <!ENTITY python-buildsize     "186 MB (additional 13M to run the test suite)">
-  <!ENTITY python-time          "1.2 SBU (additional 2.6 SBU to run the test suite)">
+  <!ENTITY python-size          "10.9 MB">
+  <!ENTITY python-buildsize     "227 MB">
+  <!ENTITY python-time          "1.4 SBU (additional 2.9 SBU to run the test suite)">
 ]>
 
@@ -59,4 +59,5 @@
     <bridgehead renderas="sect3">Additional Downloads</bridgehead>
 
+    <!-- replaced with seds
     <bridgehead renderas="sect4">Required Patch</bridgehead>
     <itemizedlist spacing='compact'>
@@ -73,5 +74,5 @@
         url="&patch-root;/Python-&Python-version;-testing-1.patch"/></para>
       </listitem>
-    </itemizedlist>
+    </itemizedlist> -->
 
     <bridgehead renderas="sect4">Optional HTML Documentation</bridgehead>
@@ -86,5 +87,9 @@
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional"><xref linkend="pth"/></para>
+    <para role="optional"><xref linkend="pth"/>,
+    <xref linkend="gcc"/> (install JAVA for the
+    <filename class="libraryfile">libffi</filename> library) or
+    <ulink url="http://sourceware.org/libffi/">libffi</ulink>, and
+    <ulink url="http://www.bluez.org/">BlueZ</ulink></para>
 
     <bridgehead renderas="sect4">Optional
@@ -107,6 +112,10 @@
     commands:</para>
 
-<screen><userinput>patch -Np1 -i ../Python-&Python-version;-gdbm-1.patch &amp;&amp;
-patch -Np1 -i ../Python-&Python-version;-testing-1.patch &amp;&amp;
+<screen><userinput>sed -i "s/ndbm_libs = \[\]/ndbm_libs = ['gdbm', 'gdbm_compat']/" \
+     setup.py &amp;&amp;
+sed -i "s/www.python.invalid./sadflkjsasf.i.nvali.d/" \
+     Lib/test/test_urllib2_localnet.py \
+     Lib/test/test_urllibnet.py &amp;&amp;
+
 ./configure --prefix=/usr --enable-shared &amp;&amp;
 make</userinput></screen>
@@ -141,4 +150,22 @@
     -xvf ../python-&python-majorver;-docs-html.tar.bz2</userinput></screen>
 
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <para><command>sed -i "s/ndbm_libs = ..." setup.py</command>: This command
+    is used to fix a build problem with the <application>GDBM</application>
+    library.</para>
+
+    <para><command>sed -i "s/www.python.invalid./ ..."</command>: This command
+    is copied from upstream and used to fix an intermittent problem with a
+    couple of the test suite programs.</para>
+
+  </sect2>
+
+  <sect2 role="configuration">
+    <title>Configuring Python</title>
+
     <para>In order for <command>python</command> to find the installed
     documentation, you must add the following environment variable to
@@ -158,5 +185,6 @@
 
       <seglistitem>
-        <seg>pydoc, python, python&python-majorver;, smtpd.py, and optionally if
+        <seg>2to3, pydoc, python, python-config, python&python-majorver;,
+        python&python-majorver;-config, smtpd.py, and optionally if
         <application>Tk</application> is installed, idle</seg>
         <seg>libpython&python-majorver;.so and numerous modules installed in
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision a2702448fd0d5505ad0dfa5b995e33fec0c5f1fb)
+++ introduction/welcome/changelog.xml	(revision 879d269d47619b04ca6b62160590dd0057943109)
@@ -43,4 +43,15 @@
 
     <listitem>
+      <para>February 18th, 2009</para>
+      <itemizedlist>
+        <listitem>
+          <para>[randy] - Replaced two patches with seds in the Python
+          instructions, also updated the dependencies and installed
+          programs sections.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>February 16th, 2009</para>
       <itemizedlist>