Index: general/prog/pyatspi2.xml
===================================================================
--- general/prog/pyatspi2.xml	(revision 4c3c7f43d02402e37fa4485d6e5cf946b09473e8)
+++ general/prog/pyatspi2.xml	(revision 882f9d736eb0fd529a92c96377b68d11d49e6833)
@@ -6,10 +6,10 @@
 
   <!ENTITY pyatspi2-download-http
-           "&gnome-download-http;/pyatspi/2.24/pyatspi-&pyatspi2-version;.tar.xz">
+           "&gnome-download-http;/pyatspi/2.26/pyatspi-&pyatspi2-version;.tar.xz">
   <!ENTITY pyatspi2-download-ftp
-           "&gnome-download-ftp;/pyatspi/2.24/pyatspi-&pyatspi2-version;.tar.xz">
-  <!ENTITY pyatspi2-md5sum        "db049a2306a93ef32e3d5a3412918e75">
-  <!ENTITY pyatspi2-size          "292 KB">
-  <!ENTITY pyatspi2-buildsize     "3.6 MB">
+           "&gnome-download-ftp;/pyatspi/2.26/pyatspi-&pyatspi2-version;.tar.xz">
+  <!ENTITY pyatspi2-md5sum        "554f95b0c4b99dcf015140f91883b433">
+  <!ENTITY pyatspi2-size          "304 KB">
+  <!ENTITY pyatspi2-buildsize     "5.1 MB">
   <!ENTITY pyatspi2-time          "less than 0.1 SBU">
 ]>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 4c3c7f43d02402e37fa4485d6e5cf946b09473e8)
+++ introduction/welcome/changelog.xml	(revision 882f9d736eb0fd529a92c96377b68d11d49e6833)
@@ -46,4 +46,17 @@
       <itemizedlist>
         <listitem>
+          <para>[renodr] - Update to pyatspi2-2.26.0. Partially fixes
+          <ulink url="&blfs-ticket-root;9746">#9746</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to glib-networking-2.54.0. Partially fixes
+          <ulink url="&blfs-ticket-root;9746">#9746</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to libsoup-2.60.0. This is a security fix.
+          Partially fixes
+          <ulink url="&blfs-ticket-root;9746">#9746</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[renodr] - Update to at-spi2-atk-2.26.0. Partially fixes
           <ulink url="&blfs-ticket-root;9746">#9746</ulink>.</para>
Index: networking/netlibs/glib-networking.xml
===================================================================
--- networking/netlibs/glib-networking.xml	(revision 4c3c7f43d02402e37fa4485d6e5cf946b09473e8)
+++ networking/netlibs/glib-networking.xml	(revision 882f9d736eb0fd529a92c96377b68d11d49e6833)
@@ -6,9 +6,9 @@
 
   <!ENTITY glib-networking-download-http
-    "&gnome-download-http;/glib-networking/2.50/glib-networking-&glib-networking-version;.tar.xz">
+    "&gnome-download-http;/glib-networking/2.54/glib-networking-&glib-networking-version;.tar.xz">
   <!ENTITY glib-networking-download-ftp
-    "&gnome-download-ftp;/glib-networking/2.50/glib-networking-&glib-networking-version;.tar.xz">
-  <!ENTITY glib-networking-md5sum        "4d06d0224646f274918b1cb6da9a07f6">
-  <!ENTITY glib-networking-size          "428 KB">
+    "&gnome-download-ftp;/glib-networking/2.54/glib-networking-&glib-networking-version;.tar.xz">
+  <!ENTITY glib-networking-md5sum        "45d2f8b650412c05e45b08aa78a3f735">
+  <!ENTITY glib-networking-size          "432 KB">
   <!ENTITY glib-networking-buildsize     "10 MB (with tests)">
   <!ENTITY glib-networking-time          "0.1 SBU (with tests)">
Index: networking/netlibs/libsoup.xml
===================================================================
--- networking/netlibs/libsoup.xml	(revision 4c3c7f43d02402e37fa4485d6e5cf946b09473e8)
+++ networking/netlibs/libsoup.xml	(revision 882f9d736eb0fd529a92c96377b68d11d49e6833)
@@ -6,10 +6,10 @@
 
   <!ENTITY libsoup-download-http
-           "&gnome-download-http;/libsoup/2.58/libsoup-&libsoup-version;.tar.xz">
+           "&gnome-download-http;/libsoup/2.60/libsoup-&libsoup-version;.tar.xz">
   <!ENTITY libsoup-download-ftp
-           "&gnome-download-ftp;/libsoup/2.58/libsoup-&libsoup-version;.tar.xz">
-  <!ENTITY libsoup-md5sum        "eb33adb459c2283efc5c7d09ccdbbcfc">
+           "&gnome-download-ftp;/libsoup/2.60/libsoup-&libsoup-version;.tar.xz">
+  <!ENTITY libsoup-md5sum        "b649311b390ca1732fce7a3f4365e4cb">
   <!ENTITY libsoup-size          "1.7 MB">
-  <!ENTITY libsoup-buildsize     "23 MB (with tests)">
+  <!ENTITY libsoup-buildsize     "47 MB (with tests)">
   <!ENTITY libsoup-time          "0.6 SBU (with tests)">
 ]>
Index: packages.ent
===================================================================
--- packages.ent	(revision 4c3c7f43d02402e37fa4485d6e5cf946b09473e8)
+++ packages.ent	(revision 882f9d736eb0fd529a92c96377b68d11d49e6833)
@@ -395,5 +395,5 @@
 <!ENTITY mako-version                 "1.0.4">
 <!ENTITY MarkupSafe-version           "1.0">
-<!ENTITY pyatspi2-version             "2.24.0">
+<!ENTITY pyatspi2-version             "2.26.0">
 <!--<!ENTITY py2cairo-version             "1.10.0"> -->
 <!ENTITY pycairo-version              "1.15.2">
@@ -446,5 +446,5 @@
 <!ENTITY curl-version                 "7.55.1">
 <!ENTITY geoclue2-version             "2.4.7">
-<!ENTITY glib-networking-version      "2.50.0">
+<!ENTITY glib-networking-version      "2.54.0">
 <!ENTITY ldns-version                 "1.7.0">
 <!ENTITY libevent-version             "2.1.8">
@@ -455,5 +455,5 @@
 <!ENTITY libndp-version               "1.6">
 <!ENTITY libproxy-version             "0.4.7">
-<!ENTITY libsoup-version              "2.58.2">
+<!ENTITY libsoup-version              "2.60.0">
 <!ENTITY libtirpc-version             "1.0.2">
 <!ENTITY neon-version                 "0.30.2">