Index: general.ent
===================================================================
--- general.ent	(revision b7e5cdc1610cd674916d359932e1b74894c199ad)
+++ general.ent	(revision 885b1a007c8866b1c7813a208cf7b9211671777f)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "11">                   <!-- Always 2 digits -->
+<!ENTITY day          "12">                   <!-- Always 2 digits -->
 <!ENTITY month        "11">                   <!-- Always 2 digits -->
 <!ENTITY year         "2020">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "November 11th, &year;">
+<!ENTITY releasedate  "November 12th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/sysutils/lsb-tools.xml
===================================================================
--- general/sysutils/lsb-tools.xml	(revision b7e5cdc1610cd674916d359932e1b74894c199ad)
+++ general/sysutils/lsb-tools.xml	(revision 885b1a007c8866b1c7813a208cf7b9211671777f)
@@ -6,8 +6,8 @@
   <!ENTITY lsb-tools-download-http "https://github.com/djlucas/LSB-Tools/releases/download/v&lsb-tools-version;/LSB-Tools-&lsb-tools-version;.tar.gz">
   <!ENTITY lsb-tools-download-ftp  " ">
-  <!ENTITY lsb-tools-md5sum        "964a897e304c6849d12a630dba8dfc64">
+  <!ENTITY lsb-tools-md5sum        "9e55d4b465bc9fd2b8c715f0fa62aa58">
   <!ENTITY lsb-tools-size          "16 KB">
-  <!ENTITY lsb-tools-buildsize     "364 KB">
-  <!ENTITY lsb-tools-time          "Less than 0.1 SBU">
+  <!ENTITY lsb-tools-buildsize     "180 KB">
+  <!ENTITY lsb-tools-time          "less than 0.1 SBU">
 
   %general-entities;
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision b7e5cdc1610cd674916d359932e1b74894c199ad)
+++ introduction/welcome/changelog.xml	(revision 885b1a007c8866b1c7813a208cf7b9211671777f)
@@ -47,4 +47,22 @@
       <itemizedlist>
         <listitem>
+          <para>[bdubbs] - Update to mariadb-10.5.8. Fixes
+          <ulink url="&blfs-ticket-root;14235">#14235</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to xterm-362. Fixes
+          <ulink url="&blfs-ticket-root;14236">#14236</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to LSB-Tools-0.9. Fixes
+          <ulink url="&blfs-ticket-root;14234">#14234</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
+      <para>November 11th, 2020</para>
+      <itemizedlist>
+        <listitem>
           <para>[renodr] - Added gdk-pixbuf-xlib. Fixes
           <ulink url="&blfs-ticket-root;14225">#14225</ulink>.</para>
Index: packages.ent
===================================================================
--- packages.ent	(revision b7e5cdc1610cd674916d359932e1b74894c199ad)
+++ packages.ent	(revision 885b1a007c8866b1c7813a208cf7b9211671777f)
@@ -293,5 +293,5 @@
 <!ENTITY lm-sensors-version           "3-6-0">
 <!ENTITY logrotate-version            "3.17.0">
-<!ENTITY lsb-tools-version            "0.8">
+<!ENTITY lsb-tools-version            "0.9">
 <!ENTITY mc-version                   "4.8.25">
 <!ENTITY ModemManager-version         "1.14.6">
@@ -666,5 +666,5 @@
 <!ENTITY db-version                   "5.3.28">
 <!ENTITY lmdb-version                 "0.9.24">
-<!ENTITY mariadb-version              "10.5.7">
+<!ENTITY mariadb-version              "10.5.8">
 <!ENTITY postgresql-version           "13.0">
 <!ENTITY sqlite-version               "3.33.0">
@@ -700,5 +700,5 @@
 <!ENTITY xorg-server-version          "1.20.9">
 <!ENTITY twm-version                  "1.0.11">
-<!ENTITY xterm-version                "361">
+<!ENTITY xterm-version                "362">
 <!ENTITY xclock-version               "1.0.9">
 <!ENTITY xinit-version                "1.4.1">
Index: server/databases/mariadb.xml
===================================================================
--- server/databases/mariadb.xml	(revision b7e5cdc1610cd674916d359932e1b74894c199ad)
+++ server/databases/mariadb.xml	(revision 885b1a007c8866b1c7813a208cf7b9211671777f)
@@ -8,8 +8,8 @@
   <!ENTITY mariadb-download-http "https://downloads.mariadb.org/interstitial/mariadb-&mariadb-version;/source/mariadb-&mariadb-version;.tar.gz"> 
   <!ENTITY mariadb-download-ftp  "ftp://mirrors.fe.up.pt/pub/mariadb/mariadb-&mariadb-version;/source/mariadb-&mariadb-version;.tar.gz">
-  <!ENTITY mariadb-md5sum        "c575ce49b839ba2d665203a97430bafa">
+  <!ENTITY mariadb-md5sum        "83e6a957f9be5698dd711b64a509901f">
   <!ENTITY mariadb-size          "84 MB">
   <!ENTITY mariadb-buildsize     "2.3 GB (644 MB installed)">
-  <!ENTITY mariadb-time          "8.6 SBU (with parallelism=4, add 0.3 SBU for tests)">
+  <!ENTITY mariadb-time          "7.0 SBU (with parallelism=4, add 0.5 SBU for tests)">
 ]>
 
Index: x/installing/xterm.xml
===================================================================
--- x/installing/xterm.xml	(revision b7e5cdc1610cd674916d359932e1b74894c199ad)
+++ x/installing/xterm.xml	(revision 885b1a007c8866b1c7813a208cf7b9211671777f)
@@ -8,5 +8,5 @@
   <!--<!ENTITY xterm-download-ftp  "ftp://invisible-island.net/xterm/xterm-&xterm-version;.tgz">-->
   <!ENTITY xterm-download-ftp  " ">
-  <!ENTITY xterm-md5sum        "5cf6a2224c19616e0988fa45bf3a3ca2">
+  <!ENTITY xterm-md5sum        "ee6710bbbe18000236c6e6d7b55b54d5">
   <!ENTITY xterm-size          "1.4 MB">
   <!ENTITY xterm-buildsize     "14 MB">