Index: connect/connect.xml
===================================================================
--- connect/connect.xml	(revision bbdb0ff43d4e94a4a489ee3271833956db8ba194)
+++ connect/connect.xml	(revision 893d971120d2635f3649d1dbf82426fd0e1d8a5f)
@@ -12,7 +12,7 @@
 
   <partintro>
-    <para>The LFS book covers setting up networking by connecting to a LAN 
+    <para>The LFS book covers setting up networking by connecting to a LAN
     with a static IP address. There are other methods used to connect to
-    a LAN and other networks (such as the Internet).  We cover 
+    a LAN and other networks (such as the Internet).  We cover
     the most popular methods in this chapter.</para>
   </partintro>
Index: connect/dhcp/dhcp-client.xml
===================================================================
--- connect/dhcp/dhcp-client.xml	(revision bbdb0ff43d4e94a4a489ee3271833956db8ba194)
+++ connect/dhcp/dhcp-client.xml	(revision 893d971120d2635f3649d1dbf82426fd0e1d8a5f)
@@ -21,11 +21,11 @@
 
   <para>The <application>DHCP</application> package comes with
-  both a client (<command>dhclient</command>) and a server program for 
-  using DHCP.  If you want to install this package, 
+  both a client (<command>dhclient</command>) and a server program for
+  using DHCP.  If you want to install this package,
   the instructions can be found at <xref linkend="dhcp"/>.
-  Note that if you only want to use the client, you 
-  do <emphasis>not</emphasis> need to run the server and so do not need 
+  Note that if you only want to use the client, you
+  do <emphasis>not</emphasis> need to run the server and so do not need
   the startup script and links provided for the server daemon.
-  You only need to run the DHCP server if you're providing 
+  You only need to run the DHCP server if you're providing
   this service to a network, and it's likely that you'll know if that's the
   case; if it isn't, don't run the server!  Once you have installed the
@@ -36,8 +36,8 @@
     <title>Configuring DHCP Client</title>
 
-      <para id="dhclient-service">To configure <command>dhclient</command>, 
+      <para id="dhclient-service">To configure <command>dhclient</command>,
       you need to first install the network service script,
       <filename>/etc/sysconfig/network-devices/services/dhclient</filename>
-      included in the <xref linkend="intro-important-bootscripts"/> package 
+      included in the <xref linkend="intro-important-bootscripts"/> package
       (as <systemitem class="username">root</systemitem>):</para>
 
@@ -48,8 +48,8 @@
 <screen role='root'><userinput>make install-service-dhclient</userinput></screen>
 
-    <para id="dhclient-config1">Next, create the 
+    <para id="dhclient-config1">Next, create the
     <filename>/etc/sysconfig/network-devices/ifconfig.eth0/dhclient</filename>
-    configuration file with the following commands as the <systemitem 
-    class="username">root</systemitem> user.  Adjust as 
+    configuration file with the following commands as the <systemitem
+    class="username">root</systemitem> user.  Adjust as
     necessary for additional interfaces:</para>
 
@@ -66,10 +66,10 @@
 EOF</userinput></screen>
 
-    <para>For more information on the appropriate 
+    <para>For more information on the appropriate
     <envar>DHCP_START</envar> and <envar>DHCP_STOP</envar>
     values, examine the man page for <command>dhclient</command>.</para>
 
-    <para id="dhclient-config2">Finally, you should create the 
-    <filename>/etc/dhclient.conf</filename> file using the following commands 
+    <para id="dhclient-config2">Finally, you should create the
+    <filename>/etc/dhclient.conf</filename> file using the following commands
     as the <systemitem class="username">root</systemitem> user:</para>
 
@@ -79,5 +79,5 @@
 
     <note>
-      <para>You'll need to add a second interface definition to the file if you 
+      <para>You'll need to add a second interface definition to the file if you
       have more than one interface.</para>
     </note>
Index: connect/dhcp/dhcp.xml
===================================================================
--- connect/dhcp/dhcp.xml	(revision bbdb0ff43d4e94a4a489ee3271833956db8ba194)
+++ connect/dhcp/dhcp.xml	(revision 893d971120d2635f3649d1dbf82426fd0e1d8a5f)
@@ -11,16 +11,16 @@
   <title>DHCP Clients</title>
 
-  <para>DHCP stands for Dynamic Host Configuration Protocol. It is a protocol 
-  used by many sites to automatically provide information such as IP addresses, 
-  subnet masks and routing information to computers.  If your network uses 
-  DHCP, you will need a DHCP client in order to connect to it. 
+  <para>DHCP stands for Dynamic Host Configuration Protocol. It is a protocol
+  used by many sites to automatically provide information such as IP addresses,
+  subnet masks and routing information to computers.  If your network uses
+  DHCP, you will need a DHCP client in order to connect to it.
   DHCP is also used by some cable modems.</para>
 
-  <para>BLFS currently provides installation instructions for 
-  two DHCP clients, <command>dhclient</command> (from the 
-  <application>dhcp</application> package) and <command>dhcpcd</command>. 
-  BLFS presents both sets of installation instructions and 
-  discusses how to create an appropriate service script to work with the 
-  <command>network</command> bootscript and the DHCP 
+  <para>BLFS currently provides installation instructions for
+  two DHCP clients, <command>dhclient</command> (from the
+  <application>dhcp</application> package) and <command>dhcpcd</command>.
+  BLFS presents both sets of installation instructions and
+  discusses how to create an appropriate service script to work with the
+  <command>network</command> bootscript and the DHCP
   client of your choice.</para>
 
Index: connect/dhcp/dhcpcd.xml
===================================================================
--- connect/dhcp/dhcpcd.xml	(revision bbdb0ff43d4e94a4a489ee3271833956db8ba194)
+++ connect/dhcp/dhcpcd.xml	(revision 893d971120d2635f3649d1dbf82426fd0e1d8a5f)
@@ -31,5 +31,5 @@
 
     <para>The <application>dhcpcd</application> package contains the
-    <command>dhcpcd</command> client. This is useful for connecting your computer 
+    <command>dhcpcd</command> client. This is useful for connecting your computer
     to a network which uses DHCP to assign network addresses.</para>
 
@@ -59,5 +59,5 @@
     <itemizedlist spacing='compact'>
       <listitem>
-        <para>Required Patch: 
+        <para>Required Patch:
         <ulink url="&patch-root;/dhcpcd-&dhcpcd-version;-fhs-1.patch"/></para>
       </listitem>
@@ -69,5 +69,5 @@
     <title>Installation of Dhcpcd</title>
 
-    <para>Install <application>dhcpcd</application> by running the following 
+    <para>Install <application>dhcpcd</application> by running the following
     commands:</para>
 
@@ -86,26 +86,26 @@
     <title>Command Explanations</title>
 
-    <para><command>patch -Np1 -i ../dhcpcd-&dhcpcd-version;-fhs-1.patch</command>: 
-    <application>dhcpcd</application> unpatched puts all configuration 
-    and temporary files in <filename class='directory'>/etc/dhcpc</filename>. This 
-    becomes very annoying when <application>dhcpcd</application> tells you it's 
-    running and it's not. You look in 
-    <filename class="directory">/var/run</filename> for the 
-    <filename>PID</filename> file, but it's not there, the 
+    <para><command>patch -Np1 -i ../dhcpcd-&dhcpcd-version;-fhs-1.patch</command>:
+    <application>dhcpcd</application> unpatched puts all configuration
+    and temporary files in <filename class='directory'>/etc/dhcpc</filename>. This
+    becomes very annoying when <application>dhcpcd</application> tells you it's
+    running and it's not. You look in
+    <filename class="directory">/var/run</filename> for the
+    <filename>PID</filename> file, but it's not there, the
     <filename>PID</filename> file that needs deleting is in
-    <filename class="directory">/etc/dhcpc</filename>. This patch brings this 
-    program into FHS compliance, but more importantly, puts 
+    <filename class="directory">/etc/dhcpc</filename>. This patch brings this
+    program into FHS compliance, but more importantly, puts
     files where you expect them to be.</para>
 
     <para><parameter>--prefix=""</parameter>: There may be a good reason for
     abandoning the normal BLFS convention of using
-    <parameter>--prefix=/usr</parameter> here.  If you are installing 
-    DHCP, it is likely that it is 
-    required during the boot process and 
-    <filename class="directory">/usr</filename> may be network mounted, in which 
-    case <command>dhcpcd</command> wouldn't be available due to being on the 
-    network! Therefore, depending on your situation, you may want it to be 
-    installed in <filename class="directory">/sbin</filename> or 
-    <filename class="directory">/usr/sbin</filename>. This command installs to 
+    <parameter>--prefix=/usr</parameter> here.  If you are installing
+    DHCP, it is likely that it is
+    required during the boot process and
+    <filename class="directory">/usr</filename> may be network mounted, in which
+    case <command>dhcpcd</command> wouldn't be available due to being on the
+    network! Therefore, depending on your situation, you may want it to be
+    installed in <filename class="directory">/sbin</filename> or
+    <filename class="directory">/usr/sbin</filename>. This command installs to
     <filename class="directory">/sbin</filename>.</para>
 
@@ -114,5 +114,5 @@
     directory.</para>
 
-    <para><parameter>--mandir=/usr/share/man</parameter>: This command installs 
+    <para><parameter>--mandir=/usr/share/man</parameter>: This command installs
     the man pages to the <filename class="directory">/usr/share/man</filename>
     directory.</para>
@@ -140,5 +140,5 @@
       the network service script,
       <filename>/etc/sysconfig/network-devices/services/dhcpcd</filename>
-      included in the <xref linkend="intro-important-bootscripts"/> package 
+      included in the <xref linkend="intro-important-bootscripts"/> package
       (as user <systemitem class="username">root</systemitem>):</para>
 
@@ -149,8 +149,8 @@
 <screen role='root'><userinput>make install-service-dhcpcd</userinput></screen>
 
-      <para id="dhcpcd-config2">Finally, as the <systemitem 
+      <para id="dhcpcd-config2">Finally, as the <systemitem
       class="username">root</systemitem> user create the
       <filename>/etc/sysconfig/network-devices/ifconfig.eth0/dhcpcd</filename>
-      configuration file using the following commands.  Adjust appropriately 
+      configuration file using the following commands.  Adjust appropriately
       for additional interfaces:</para>
 
@@ -166,24 +166,24 @@
 DHCP_STOP="-k <replaceable>[insert additional stop options here]</replaceable>"
 
-# Set PRINTIP="yes" to have the script print 
+# Set PRINTIP="yes" to have the script print
 # the DHCP assigned IP address
 PRINTIP="no"
 
-# Set PRINTALL="yes" to print the DHCP assigned values for 
+# Set PRINTALL="yes" to print the DHCP assigned values for
 # IP, SM, DG, and 1st NS. This requires PRINTIP="yes".
 PRINTALL="no"</literal>
 EOF</userinput></screen>
 
-      <para>For more information on the appropriate <envar>DHCP_START</envar> and 
-      <envar>DHCP_STOP</envar> values, examine the man page for 
+      <para>For more information on the appropriate <envar>DHCP_START</envar> and
+      <envar>DHCP_STOP</envar> values, examine the man page for
       <command>dhcpcd</command>.</para>
 
       <note>
-        <para id="dhcpcd-config3">The default behavior of 
-        <command>dhcpcd</command> is to overwrite (after making backup copies) 
-        <filename>/etc/resolv.conf</filename>, <filename>/etc/yp.conf</filename> and 
-        <filename>/etc/ntp.conf</filename> with new files containing information from 
-        the DHCP server. If this is undesirable, review the 
-        <command>dhcpcd</command> man page for switches to add to the 
+        <para id="dhcpcd-config3">The default behavior of
+        <command>dhcpcd</command> is to overwrite (after making backup copies)
+        <filename>/etc/resolv.conf</filename>, <filename>/etc/yp.conf</filename> and
+        <filename>/etc/ntp.conf</filename> with new files containing information from
+        the DHCP server. If this is undesirable, review the
+        <command>dhcpcd</command> man page for switches to add to the
         <envar>DHCP_START</envar> value.</para>
       </note>
@@ -228,6 +228,6 @@
         <term><command>dhcpcd</command></term>
         <listitem>
-          <para>is an implementation of the DHCP client 
-          specified in RFC2131 and RFC1541 
+          <para>is an implementation of the DHCP client
+          specified in RFC2131 and RFC1541
           (depending on which options are specified).</para>
           <indexterm zone="dhcpcd dhcpcd-prog">
Index: connect/dialup/ppp.xml
===================================================================
--- connect/dialup/ppp.xml	(revision bbdb0ff43d4e94a4a489ee3271833956db8ba194)
+++ connect/dialup/ppp.xml	(revision 893d971120d2635f3649d1dbf82426fd0e1d8a5f)
@@ -30,5 +30,5 @@
     <title>Introduction to PPP</title>
 
-    <para>The <application>PPP</application> package contains the 
+    <para>The <application>PPP</application> package contains the
     <command>pppd</command> daemon and the <command>chat</command>
     program. This is used for connecting to other machines; often for connecting to
@@ -68,5 +68,5 @@
 
     <note id="ppp-kernel">
-      <para><application>PPP</application> support must be 
+      <para><application>PPP</application> support must be
       compiled into the kernel or available as a kernel module.</para>
     </note>
@@ -76,5 +76,5 @@
     </indexterm>
 
-    <para>Install <application>PPP</application> by running the 
+    <para>Install <application>PPP</application> by running the
     following commands:</para>
 
@@ -94,5 +94,5 @@
     <title>Command Explanations</title>
 
-    <para><command>make install-etcppp</command>: This command puts example 
+    <para><command>make install-etcppp</command>: This command puts example
     configuration files in <filename class="directory">/etc/ppp</filename>.</para>
 
@@ -116,7 +116,7 @@
       <title>Configuration Information</title>
 
-      <para>The <application>PPP</application> daemon requires very little 
-      configuration. The main trick is scripting the connection. This can be done 
-      either using the <command>chat</command> program which comes with 
+      <para>The <application>PPP</application> daemon requires very little
+      configuration. The main trick is scripting the connection. This can be done
+      either using the <command>chat</command> program which comes with
       this package or by using <xref linkend="wvdial"/>.</para>
 
@@ -135,5 +135,5 @@
       <seglistitem>
         <seg>chat, pppd, pppdump, pppoe-discovery and pppstats</seg>
-        <seg>Several plugin modules installed in 
+        <seg>Several plugin modules installed in
         <filename class='directory'>/usr/lib/pppd/2.4.3</filename></seg>
         <seg>/etc/ppp, /usr/include/pppd and /usr/lib/pppd</seg>
@@ -149,7 +149,7 @@
         <term><command>chat</command></term>
         <listitem>
-          <para>defines a conversational exchange between the computer and the 
-          modem. Its primary purpose is to establish the connection between the 
-          Point-to-Point Protocol Daemon (PPPD) and the remote's 
+          <para>defines a conversational exchange between the computer and the
+          modem. Its primary purpose is to establish the connection between the
+          Point-to-Point Protocol Daemon (PPPD) and the remote's
           <command>pppd</command> process.</para>
           <indexterm zone="ppp chat">
@@ -172,6 +172,6 @@
         <term><command>pppdump</command></term>
         <listitem>
-          <para>is used to convert 
-          <application>PPP</application> record files to a readable 
+          <para>is used to convert
+          <application>PPP</application> record files to a readable
           format.</para>
           <indexterm zone="ppp pppdump">
@@ -184,5 +184,5 @@
         <term><command>pppstats</command></term>
         <listitem>
-          <para>is used to print 
+          <para>is used to print
           <application>PPP</application> statistics.</para>
           <indexterm zone="ppp pppstats">
Index: connect/dialup/wvdial.xml
===================================================================
--- connect/dialup/wvdial.xml	(revision bbdb0ff43d4e94a4a489ee3271833956db8ba194)
+++ connect/dialup/wvdial.xml	(revision 893d971120d2635f3649d1dbf82426fd0e1d8a5f)
@@ -30,8 +30,8 @@
     <title>Introduction to WvDial</title>
 
-    <para>The <application>WvDial</application> package contains a no-nonsense, 
+    <para>The <application>WvDial</application> package contains a no-nonsense,
     quick and easy to use alternative to <command>chat</command> and
-    <command>pppd</command> scripts. If you simply want to dial a modem 
-    without the fuss and hassle of <command>chat</command> issues, then you'll 
+    <command>pppd</command> scripts. If you simply want to dial a modem
+    without the fuss and hassle of <command>chat</command> issues, then you'll
     want this.</para>
 
@@ -68,5 +68,5 @@
     <title>Installation of WvDial</title>
 
-    <para>Install <application>WvDial</application> by running the following 
+    <para>Install <application>WvDial</application> by running the following
     commands:</para>
 
@@ -85,5 +85,5 @@
       <title>Config Files</title>
 
-      <para><filename>/etc/wvdial.conf</filename> and 
+      <para><filename>/etc/wvdial.conf</filename> and
       <filename>/etc/ppp/peers/*</filename></para>
 
@@ -101,5 +101,5 @@
       <title>Configuration Information</title>
 
-      <para>Perform the following two commands as the 
+      <para>Perform the following two commands as the
       <systemitem class="username">root</systemitem> user:</para>
 
@@ -107,5 +107,5 @@
 wvdialconf /etc/wvdial.conf</userinput></screen>
 
-      <para><command>wvdialconf</command> will test that you have a working modem 
+      <para><command>wvdialconf</command> will test that you have a working modem
       and try to determine its exact setup. You will then need to enter your
       ISP's phone number, login name and password into the
@@ -116,7 +116,7 @@
 <screen><userinput>wvdial</userinput></screen>
 
-      <para>For more information, examine the <command>wvdialconf</command>, 
-      <filename>wvdial.conf</filename> and <command>wvdial</command> man 
-      pages. Also, have a look at <ulink 
+      <para>For more information, examine the <command>wvdialconf</command>,
+      <filename>wvdial.conf</filename> and <command>wvdial</command> man
+      pages. Also, have a look at <ulink
       url="http://www.electronicschat.org/nonroot-dialout/index.html">the
       Non-Root Dial Out HOWTO</ulink> if you want to give non-root users
@@ -160,5 +160,5 @@
         <term><command>wvdialconf</command></term>
         <listitem>
-          <para>automates the configuration of 
+          <para>automates the configuration of
           <command>wvdial</command>.</para>
           <indexterm zone="wvdial wvdialconf">
Index: connect/other/other.xml
===================================================================
--- connect/other/other.xml	(revision bbdb0ff43d4e94a4a489ee3271833956db8ba194)
+++ connect/other/other.xml	(revision 893d971120d2635f3649d1dbf82426fd0e1d8a5f)
@@ -13,5 +13,5 @@
   <para>Other methods to connect to large networks are through ISDN
   and PPPoE interfaces, among others. PPPoE is discussed here.
-  Pages written for ISDN (or others as the need arises) are always welcome 
+  Pages written for ISDN (or others as the need arises) are always welcome
   and will be included in future books, if available.</para>
 
Index: connect/other/pppoe.xml
===================================================================
--- connect/other/pppoe.xml	(revision bbdb0ff43d4e94a4a489ee3271833956db8ba194)
+++ connect/other/pppoe.xml	(revision 893d971120d2635f3649d1dbf82426fd0e1d8a5f)
@@ -31,8 +31,8 @@
 
     <para>The Roaring Penguin <application>PPPoE</application>
-    package contains both a client and a server component that works with the 
-    client. The client allows you to connect to large networks that use the 
-    PPPoE protocol, common among ADSL providers. The server component 
-    runs alongside the client, allowing you to configure other clients that send 
+    package contains both a client and a server component that works with the
+    client. The client allows you to connect to large networks that use the
+    PPPoE protocol, common among ADSL providers. The server component
+    runs alongside the client, allowing you to configure other clients that send
     out a configuration request.</para>
 
@@ -65,5 +65,5 @@
     <xref linkend="net-tools"/> (you may omit
     <application>Net-tools</application> by using the following patch to
-    utilize <application>IPRoute2</application>: <ulink 
+    utilize <application>IPRoute2</application>: <ulink
     url="&patch-root;/rp-pppoe-&pppoe-version;-iproute2-1.patch"/>)</para>
 
@@ -74,7 +74,7 @@
 
     <note id="pppoe-kernel">
-      <para>If you plan on using kernel-mode PPPoE, this package is no longer explicitly 
-      needed, however, it is recomended for ease of configuration. Additional information 
-      about kernel mode PPPoE can be found in 
+      <para>If you plan on using kernel-mode PPPoE, this package is no longer explicitly
+      needed, however, it is recomended for ease of configuration. Additional information
+      about kernel mode PPPoE can be found in
       <filename>rp-pppoe-&pppoe-version;/doc/KERNEL-MODE-PPPOE</filename>.</para>
     </note>
@@ -88,5 +88,5 @@
 <screen><userinput>sed -i s%/usr/bin/logger%/bin/logger% scripts/adsl-{connect,setup,stop}.in</userinput></screen>
 
-    <para>Install <application>RP-PPPoE</application> by running the following 
+    <para>Install <application>RP-PPPoE</application> by running the following
     commands:</para>
 
@@ -107,7 +107,7 @@
 
     <para>These are the standard installation commands that will install into
-    the <filename class="directory">/usr</filename> prefix.  You can optionally use the 
+    the <filename class="directory">/usr</filename> prefix.  You can optionally use the
     <command>go</command> script in the root of the source tree, to
-    run the same commands, which are then immediately followed by the 
+    run the same commands, which are then immediately followed by the
     <command>adsl-setup</command> script.</para>
 
@@ -120,10 +120,10 @@
       <title>Config Files</title>
 
-      <para><filename>/etc/ppp/pppoe.conf</filename>, 
-      <filename>/etc/ppp/firewall-standalone</filename>, 
-      <filename>/etc/ppp/firewall-masq</filename>, 
-      <filename>/etc/ppp/pppoe-server-options</filename>, 
-      <filename>/etc/resolv.conf</filename>, 
-      <filename>/etc/ppp/pap-secrets</filename>, 
+      <para><filename>/etc/ppp/pppoe.conf</filename>,
+      <filename>/etc/ppp/firewall-standalone</filename>,
+      <filename>/etc/ppp/firewall-masq</filename>,
+      <filename>/etc/ppp/pppoe-server-options</filename>,
+      <filename>/etc/resolv.conf</filename>,
+      <filename>/etc/ppp/pap-secrets</filename>,
       <filename>/etc/ppp/chap-secrets</filename></para>
 
@@ -161,18 +161,18 @@
       <title>Configuration Information</title>
 
-      <para>To configure <application>RP-PPPoE</application> after installation, 
+      <para>To configure <application>RP-PPPoE</application> after installation,
       you should run the <command>adsl-setup</command> script.</para>
 
-      <para>When configuring your connection, you will need to have your 
-      ISP's nameserver information available, as well as your 
-      username and password.  You will also be asked whether to configure a 
-      dial-on-demand or a constant connection.  If your service provider does not 
-      charge by the minute, it is usually good to have a bootscript handle the 
-      connection for you.  You can, of course, choose not to install the 
-      following script, and start your connection manually with the 
+      <para>When configuring your connection, you will need to have your
+      ISP's nameserver information available, as well as your
+      username and password.  You will also be asked whether to configure a
+      dial-on-demand or a constant connection.  If your service provider does not
+      charge by the minute, it is usually good to have a bootscript handle the
+      connection for you.  You can, of course, choose not to install the
+      following script, and start your connection manually with the
       <command>adsl-start</command> script.</para>
 
-      <para id="pppoe-init"><emphasis>Optionally</emphasis> install the 
-      <filename>/etc/sysconfig/network-devices/services/pppoe</filename> service 
+      <para id="pppoe-init"><emphasis>Optionally</emphasis> install the
+      <filename>/etc/sysconfig/network-devices/services/pppoe</filename> service
       script included with the <xref linkend="intro-important-bootscripts"/>
       package (as user <systemitem class="username">root</systemitem>).</para>
@@ -184,6 +184,6 @@
 <screen role='root'><userinput>make install-service-pppoe</userinput></screen>
 
-      <para id="pppoe-config2">Now create the config file for use with the 
-      <filename>pppoe</filename> service script (as user <systemitem 
+      <para id="pppoe-config2">Now create the config file for use with the
+      <filename>pppoe</filename> service script (as user <systemitem
       class="username">root</systemitem>):</para>
 
@@ -194,6 +194,6 @@
       <note>
         <para>If you have previously configured the network interface that
-        will now use PPPoE, you should remove the interface 
-        configuration files for that interface (as user <systemitem 
+        will now use PPPoE, you should remove the interface
+        configuration files for that interface (as user <systemitem
         class="username">root</systemitem>):</para>
 
@@ -223,5 +223,5 @@
 
       <seglistitem>
-        <seg>adsl-connect, adsl-setup, adsl-start, adsl-status, adsl-stop, pppoe, 
+        <seg>adsl-connect, adsl-setup, adsl-start, adsl-status, adsl-stop, pppoe,
         pppoe-relay, pppoe-server and pppoe-sniff</seg>
         <seg>None</seg>
@@ -238,5 +238,5 @@
         <term><command>adsl-connect</command></term>
         <listitem>
-          <para>is a shell script which manages an ADSL 
+          <para>is a shell script which manages an ADSL
           connection using the user-space PPPoE client.</para>
           <indexterm zone="pppoe adsl-connect">
@@ -249,5 +249,5 @@
         <term><command>adsl-setup</command></term>
         <listitem>
-          <para>is a script for configuring the client. Configuration is 
+          <para>is a script for configuring the client. Configuration is
           then stored in <filename>/etc/ppp/pppoe.conf</filename>.</para>
           <indexterm zone="pppoe adsl-setup">
@@ -260,5 +260,5 @@
         <term><command>adsl-start</command></term>
         <listitem>
-          <para>starts the client using the options specified in 
+          <para>starts the client using the options specified in
           <filename>/etc/ppp/pppoe.conf</filename>.</para>
           <indexterm zone="pppoe adsl-start">
@@ -271,5 +271,5 @@
         <term><command>adsl-status</command></term>
         <listitem>
-          <para>displays the status of the ADSL 
+          <para>displays the status of the ADSL
           connection.</para>
           <indexterm zone="pppoe adsl-status">
@@ -292,5 +292,5 @@
         <term><command>pppoe</command></term>
         <listitem>
-          <para>is the client program. Generally it should not be started on 
+          <para>is the client program. Generally it should not be started on
           its own.</para>
           <indexterm zone="pppoe pppoe-prog">
@@ -323,5 +323,5 @@
         <term><command>pppoe-sniff</command></term>
         <listitem>
-          <para>is a small network sniffer designed to assist in setting 
+          <para>is a small network sniffer designed to assist in setting
           <envar>PPPOE_EXTRA</envar> settings.</para>
           <indexterm zone="pppoe pppoe-sniff">