Index: kde/add/kdemultimedia.xml
===================================================================
--- kde/add/kdemultimedia.xml	(revision 0b5a693ea2007924acc46c5ae9dacf07b0119d49)
+++ kde/add/kdemultimedia.xml	(revision 898b7bbbc90eb61e4d49134124c3924faaf5abd3)
@@ -14,59 +14,68 @@
 
 <sect1 id="kdemultimedia" xreflabel="kdemultimedia-&kde-version;">
+
 <sect1info>
-<othername>$LastChangedBy$</othername>
-<date>$Date$</date>
+  <othername>$LastChangedBy$</othername>
+  <date>$Date$</date>
 </sect1info>
+
 <?dbhtml filename="kdemultimedia.html"?>
 <title><application>kdemultimedia</application>-&kde-version;</title>
 
+<indexterm zone="kdemultimedia">
+  <primary sortas="a-kdemultimedia">kdemultimedia</primary>
+</indexterm>
+
 <sect2>
 <title>Introduction to <application>kdemultimedia</application></title>
 
-<sect3><title>Package information</title>
-<itemizedlist spacing='compact'>
-<listitem><para>Download (HTTP): <ulink
-url="&kdemultimedia-download-http;"/></para></listitem>
-<listitem><para>Download (FTP): <ulink
-url="&kdemultimedia-download-ftp;"/></para></listitem>
-<listitem><para>Download MD5 sum: &kdemultimedia-md5sum;</para></listitem>
-<listitem><para>Download size: &kdemultimedia-size;</para></listitem>
-<listitem><para>Estimated disk space required:
-&kdemultimedia-buildsize;</para></listitem>
-<listitem><para>Estimated build time:
-&kdemultimedia-time;</para></listitem></itemizedlist>
+<sect3>
+  <title>Package information</title>
+  <itemizedlist spacing='compact'>
+    <listitem><para>Download (HTTP): <ulink url="&kdemultimedia-download-http;"/></para></listitem>
+    <listitem><para>Download (FTP): <ulink url="&kdemultimedia-download-ftp;"/></para></listitem>
+    <listitem><para>Download MD5 sum: &kdemultimedia-md5sum;</para></listitem>
+    <listitem><para>Download size: &kdemultimedia-size;</para></listitem>
+    <listitem><para>Estimated disk space required: &kdemultimedia-buildsize;</para></listitem>
+    <listitem><para>Estimated build time: &kdemultimedia-time;</para></listitem>
+  </itemizedlist>
 </sect3>
 
-<sect3><title><application>kdemultimedia</application> dependencies</title>
+<sect3>
+<title><application>kdemultimedia</application> dependencies</title>
+
 <sect4><title>Required</title>
-<para><xref linkend="kdebase"/></para>
+  <para><xref linkend="kdebase"/></para>
 </sect4>
 
-<sect4><title>Recommended</title>
-<para><xref linkend="libjpeg"/>, 
-<xref linkend="libxml2"/>, 
-<xref linkend="alsa"/> and 
-<xref linkend="libmad"/></para>
+<sect4>
+  <title>Recommended</title>
+  <para><xref linkend="libjpeg"/>, 
+        <xref linkend="libxml2"/>, 
+        <xref linkend="alsa"/> and 
+        <xref linkend="libmad"/>
+  </para>
 </sect4>
 
-<sect4><title>Optional</title>
-<para><xref linkend="cdparanoia"/>, 
-<xref linkend="lame"/>,
-<xref linkend="audiofile"/>,
-<xref linkend="libogg"/>,
-<xref linkend="libvorbis"/>,
-<xref linkend="xine-lib"/>,
-<xref linkend="flac"/>,
-<xref linkend="speex"/>, 
-<xref linkend="sdl"/>, 
-<xref linkend="gstreamer"/> 
-(with <ulink url="http://developer.kde.org/~wheeler/juk.html">KGst</ulink>), 
-<ulink url="http://developer.kde.org/~wheeler/taglib/">TagLib</ulink>, 
-<ulink url="http://www.musicbrainz.org/">libmusicbrainz</ulink>, 
-<ulink url="http://www.musicbrainz.org/products/trmgen/download.html">TRM 
-Generator</ulink> and 
-<ulink 
-url="http://www.musicbrainz.org/products/tunepimp/download.html">TunePimp</ulink>
-</para></sect4>
+<sect4>
+  <title>Optional</title>
+  <para><xref linkend="cdparanoia"/>, 
+        <xref linkend="lame"/>,
+        <xref linkend="audiofile"/>,
+        <xref linkend="libogg"/>,
+        <xref linkend="libvorbis"/>,
+        <xref linkend="xine-lib"/>,
+        <xref linkend="flac"/>,
+        <xref linkend="speex"/>, 
+        <xref linkend="sdl"/>, 
+        <xref linkend="gstreamer"/> 
+          (with <ulink url="http://developer.kde.org/~wheeler/juk.html">KGst</ulink>), 
+        <ulink url="http://developer.kde.org/~wheeler/taglib/">TagLib</ulink>, 
+        <ulink url="http://www.musicbrainz.org/">libmusicbrainz</ulink>, 
+        <ulink url="http://www.musicbrainz.org/products/trmgen/download.html">TRM Generator</ulink>, and 
+        <ulink url="http://www.musicbrainz.org/products/tunepimp/download.html">TunePimp</ulink>
+  </para>
+</sect4>
+
 </sect3>
 
@@ -80,23 +89,22 @@
 <screen><userinput><command>./configure --prefix=&kde-dir; --disable-debug \
     --disable-dependency-tracking &amp;&amp;
-make &amp;&amp;
-make install</command></userinput></screen>
-
-</sect2>
-
-<sect2>
-<title>Configuring kdemultimedia</title>
-
-<para>There is no explicit configuration for the 
-<application>kdemultimedia</application> package, however
-<command>kscd</command> needs to find the CD drive. The default device file is 
-<filename>/dev/cdrom</filename> which may not exist on your system.  The
-easiest way to do this is to create a symbolic link to this from your CD drive
-(e.g., <filename>/dev/hdc</filename>, <filename>/dev/scd0</filename>, etc.):
+make</command></userinput></screen>
+
+<para>Now, as the root user:</para>
+ 
+<screen><userinput role='root'><command>make install</command></userinput></screen>
+</sect2>
+
+<sect2>
+  <title>Configuring kdemultimedia</title>
+
+  <para>There is no explicit configuration for the <application>kdemultimedia</application> 
+        package, however <command>kscd</command> needs to find the CD drive. The default 
+        device file is <filename>/dev/cdrom</filename> which may not exist on your system.  
+        The easiest way to do this is to create a symbolic link to this from your CD drive
+        (e.g., <filename>/dev/hdc</filename>, <filename>/dev/scd0</filename>, etc.):
+  </para>
 
 <screen><userinput><command>ln -s <replaceable>[CD Drive]</replaceable> /dev/cdrom</command></userinput></screen>
-
-</para>
-
 </sect2>
 
@@ -104,42 +112,97 @@
 <title>Contents</title>
 
-<para>Major programs in <application>kdemultimedia</application> include
-<command>artsbuilder</command>,
-<command>juk</command>,
-<command>kaboodle</command>,
-<command>kmid</command>,
-<command>kmix</command>,
-<command>krec</command>,
-<command>kscd</command> and
-<command>noatun</command>.
-</para>
-
-</sect2>
-
-<sect2><title>Description</title>
-
-<sect3><title>juk</title>
-<para><command>juk</command> is a jukebox, tagger and music
-collection manager.</para></sect3>
-
-<sect3><title>kaboodle</title>
-<para><command>kaboodle</command> is a multimedia player.</para></sect3>
-
-<sect3><title>kmid</title>
-<para><command>kmid</command> is a midi/karaoke player.</para></sect3>
-
-<sect3><title>kmix</title>
-<para><command>kmix</command> is a sound mixer.</para></sect3>
-
-<sect3><title>krec</title>
-<para><command>krec</command> is a recording frontend for
-<application>aRts</application>.</para></sect3>
-
-<sect3><title>kscd</title>
-<para><command>kscd</command> is a CD player.</para></sect3>
-
-<sect3><title>noatun</title>
-<para><command>noatun</command> is another multimedia
-player.</para></sect3>
+<segmentedlist>
+  <segtitle>Installed Programs</segtitle>
+ 
+  <seglistitem>
+    <seg>artsbuilder, juk, kaboodle, kmid, kmix, krec, kscd, noatun</seg>
+  </seglistitem>
+</segmentedlist>
+ 
+<variablelist>
+  <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+  <?dbfo list-presentation="list"?>
+
+<varlistentry id="artsbuilder">
+  <term><command>artsbuilder</command></term>
+  <listitem>
+    <para>is a tool to create new structures of small connected aRts modules.</para>
+    <indexterm zone="kdemultimedia artsbuilder">
+      <primary sortas="b-artsbuilder">Artsbuilder</primary>
+    </indexterm>
+  </listitem>
+</varlistentry>
+
+<varlistentry id="juk">
+  <term><command>juk</command></term>
+  <listitem>
+    <para>is a jukebox, tagger, and music collection manager.</para>
+    <indexterm zone="kdemultimedia juk">
+      <primary sortas="b-juk">Juk</primary>
+    </indexterm>
+  </listitem>
+</varlistentry>
+
+<varlistentry id="kaboodle">
+  <term><command>kaboodle</command></term>
+  <listitem>
+    <para>is a multimedia player.</para>
+    <indexterm zone="kdemultimedia kaboodle">
+      <primary sortas="b-kaboodle">Kaboodle</primary>
+    </indexterm>
+  </listitem>
+</varlistentry>
+
+<varlistentry id="kmid">
+  <term><command>kmid</command></term>
+  <listitem>
+    <para>is a midi/karaoke player.</para>
+    <indexterm zone="kdemultimedia kmid">
+      <primary sortas="b-kmid">Kmid</primary>
+    </indexterm>
+  </listitem>
+</varlistentry>
+
+<varlistentry id="kmix">
+  <term><command>kmix</command></term>
+  <listitem>
+    <para>is a sound mixer.</para>
+    <indexterm zone="kdemultimedia kmix">
+      <primary sortas="b-kmix">Kmix</primary>
+    </indexterm>
+  </listitem>
+</varlistentry>
+
+<varlistentry id="krec">
+  <term><command>krec</command></term>
+  <listitem>
+    <para>is a recording frontend for <application>aRts</application>.</para>
+    <indexterm zone="kdemultimedia krec">
+      <primary sortas="b-krec">Krec</primary>
+    </indexterm>
+  </listitem>
+</varlistentry>
+
+<varlistentry id="kscd">
+  <term><command>kscd</command></term>
+  <listitem>
+    <para>is a CD player.</para>
+    <indexterm zone="kdemultimedia kscd">
+      <primary sortas="b-kscd">kscd</primary>
+    </indexterm>
+  </listitem>
+</varlistentry>
+
+<varlistentry id="noatun">
+  <term><command>noatun</command></term>
+  <listitem>
+    <para>is another multimedia player.</para>
+    <indexterm zone="kdemultimedia noatun">
+      <primary sortas="b-noatun">Noatun</primary>
+    </indexterm>
+  </listitem>
+</varlistentry>
+
+</variablelist>
 
 </sect2>