Index: general/prog/fpc.xml
===================================================================
--- general/prog/fpc.xml	(revision 679dc07874933f1f3ef4a7da3d891753304fae35)
+++ general/prog/fpc.xml	(revision 904df6ec7060d1824c62365d22e97060f8eccc1d)
@@ -178,13 +178,13 @@
       </listitem>
     </itemizedlist>
-<!--
-    <bridgehead renderas="sect3">Java Binary Runtime Dependencies</bridgehead>
+
+    <bridgehead renderas="sect3">FreePascal Dependencies</bridgehead>
     <para role="required">
-      <xref role="runtime" linkend="alsa-lib"/>,
-      <xref role="runtime" linkend="cups"/>,
-      <xref role="runtime" linkend="giflib"/>, and
-      <xref role="runtime" linkend="xorg7-lib"/>
-    </para>
--->
+      <xref linkend="gdb"/> (with static library libgdb.a)
+    </para>
+
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/fpc"/></para>
+
   </sect2>
 
@@ -305,3 +305,63 @@
   </sect2>
 
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Program</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>fpc, fp</seg>
+        <seg>None</seg>
+        <seg>None</seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="i-fp">
+        <term><command>fp</command></term>
+        <listitem>
+          <para>
+            FreePascal text based IDE
+          </para>
+          <indexterm zone="fpc i-fp">
+            <primary sortas="b-fp">fp</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="i-fpc">
+        <term><command>fpc</command></term>
+        <listitem>
+          <para>
+            FreePascal compiler frontend
+          </para>
+          <indexterm zone="fpc i-fpc">
+            <primary sortas="b-fpc">fpc</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="i-fpcmake">
+        <term><command>fpcmake</command></term>
+        <listitem>
+          <para>
+            FreePascal make utility
+          </para>
+          <indexterm zone="fpc i-fpcmake">
+            <primary sortas="b-fpcmake">fpcmake</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
 </sect1>
Index: general/prog/gdb.xml
===================================================================
--- general/prog/gdb.xml	(revision 679dc07874933f1f3ef4a7da3d891753304fae35)
+++ general/prog/gdb.xml	(revision 904df6ec7060d1824c62365d22e97060f8eccc1d)
@@ -220,4 +220,18 @@
 
 <screen role="root"><userinput>make -C gdb install</userinput></screen>
+
+    <para>
+      If its planned to install packages which might need a static
+      GDB library (for instance <xref linkend="fpc"/>) create the
+      library by executing:
+    </para>
+
+<screen><userinput>make -C gdb libgdb.a</userinput></screen>
+
+    <para>
+      Install the library as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>install -v -m644 gdb/libgdb.a /usr/lib/</userinput></screen>
 
     <para>
Index: general/prog/prog.xml
===================================================================
--- general/prog/prog.xml	(revision 679dc07874933f1f3ef4a7da3d891753304fae35)
+++ general/prog/prog.xml	(revision 904df6ec7060d1824c62365d22e97060f8eccc1d)
@@ -70,4 +70,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="dummy-fpc.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="fpc.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="qt5pas.xml"/>
 
 </chapter>
Index: general/prog/qt5pas.xml
===================================================================
--- general/prog/qt5pas.xml	(revision 904df6ec7060d1824c62365d22e97060f8eccc1d)
+++ general/prog/qt5pas.xml	(revision 904df6ec7060d1824c62365d22e97060f8eccc1d)
@@ -0,0 +1,136 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY qt5pas-download-http "https://github.com/davidbannon/libqt5pas/archive/v&qt5pas-version;/libqt5pas-&qt5pas-version;.tar.gz">
+  <!ENTITY qt5pas-md5sum        "f2171acbe358e16e7c4344928c53d2c3">
+  <!ENTITY qt5pas-size          "471.6 KB">
+  <!ENTITY qt5pas-buildsize     "2.5 MB">
+  <!ENTITY qt5pas-time          "7 SBU">
+]>
+
+<sect1 id="qt5pas" xreflabel="qt5pas-&qt5pas-version;">
+  <?dbhtml filename="qt5pas.html"?>
+
+  <sect1info>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>qt5pas-&qt5pas-version;</title>
+
+  <indexterm zone="qt5pas">
+    <primary sortas="a-qt5pas">qt5pas</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to qt5pas</title>
+
+    <para>
+      libqt5pas is an interface between Lazarus and the Qt5 libraries.
+    </para>
+
+    &lfs110a_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&qt5pas-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &qt5pas-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &qt5pas-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &qt5pas-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &qt5pas-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">qt5pas Dependencies</bridgehead>
+    <para role="required">
+      <xref linkend="fpc"/> and
+      <xref linkend="qt5"/>
+    </para>
+
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/qt5pas"/></para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of qt5pas</title>
+
+    <para>
+      Build the package by running the following commands:
+    </para>
+
+<screen><userinput>cd cbindings &amp;&amp;
+qmake-qt5 "QT += x11extras" &amp;&amp;
+make</userinput></screen>
+
+    <para>
+      This package does not come with a test suite.
+    </para>
+
+    <para>
+      Now, install <application>qt5pas</application> as the
+      <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Program</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>None</seg>
+        <seg>libQt5Pas.so</seg>
+        <seg>None</seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="qt5pas-lib">
+        <term><filename class="libraryfile">libQt5Pas.so</filename></term>
+        <listitem>
+          <para>
+            provides the QT bindings
+          </para>
+          <indexterm zone="qt5pas qt5pas-lib">
+            <primary sortas="b-qt5pas">qt5pas</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>
Index: packages.ent
===================================================================
--- packages.ent	(revision 679dc07874933f1f3ef4a7da3d891753304fae35)
+++ packages.ent	(revision 904df6ec7060d1824c62365d22e97060f8eccc1d)
@@ -407,4 +407,5 @@
 <!-- ENTITY freepascal-bin-version       "&freepascal-version;" -->
 <!ENTITY freepascal-bin-version       "3.2.0">
+<!ENTITY qt5pas-version               "1.2.9">
 <!ENTITY lazarus-version              "2.0.12">
 