Index: general/genutils/graphviz.xml
===================================================================
--- general/genutils/graphviz.xml	(revision 2a54f9971ac679f326ce7a1411c8f7fe123d73ea)
+++ general/genutils/graphviz.xml	(revision 907ece52cef5545587a9d9fab1cf4d048504d607)
@@ -7,7 +7,7 @@
   <!ENTITY graphviz-download-http "https://gitlab.com/graphviz/graphviz/-/archive/&graphviz-version;/graphviz-&graphviz-version;.tar.gz">
   <!ENTITY graphviz-download-ftp  " ">
-  <!ENTITY graphviz-md5sum        "0efd53e82b4997157204233d0ccccd86">
+  <!ENTITY graphviz-md5sum        "f9dd7caf4785f47f5fd40f5407d9d7ce">
   <!ENTITY graphviz-size          "29 MB">
-  <!ENTITY graphviz-buildsize     "251 MB">
+  <!ENTITY graphviz-buildsize     "204 MB">
   <!ENTITY graphviz-time          "0.7 SBU (using parallelism=4)">
 ]>
Index: general/graphlib/freetype2.xml
===================================================================
--- general/graphlib/freetype2.xml	(revision 2a54f9971ac679f326ce7a1411c8f7fe123d73ea)
+++ general/graphlib/freetype2.xml	(revision 907ece52cef5545587a9d9fab1cf4d048504d607)
@@ -7,7 +7,7 @@
   <!ENTITY freetype2-download-http "&sourceforge-dl;/freetype/freetype-&freetype2-version;.tar.xz">
   <!ENTITY freetype2-download-ftp  "&gentoo-ftp-repo;/freetype-&freetype2-version;.tar.xz">
-  <!ENTITY freetype2-md5sum        "0e6c0e9b218be3ba3e26e1d23b1c80dd">
-  <!ENTITY freetype2-size          "2.4 MB">
-  <!ENTITY freetype2-buildsize     "43 MB (with additional documentation)">
+  <!ENTITY freetype2-md5sum        "f931582653774e310ed3a7e49b7167a3">
+  <!ENTITY freetype2-size          "2.2 MB">
+  <!ENTITY freetype2-buildsize     "30 MB (with additional documentation)">
   <!ENTITY freetype2-time          "0.2 SBU (with additional documentation)">
 
@@ -15,5 +15,5 @@
   <!ENTITY freetype2-doc-download-http "&sourceforge-dl;/freetype/freetype-doc-&freetype2-doc-version;.tar.xz">
   <!ENTITY freetype2-doc-download-ftp  "&gentoo-ftp-repo;/freetype-doc-&freetype2-doc-version;.tar.xz">
-  <!ENTITY freetype2-doc-md5sum        "a389bc390ca8009c758094e71a8fb18d">
+  <!ENTITY freetype2-doc-md5sum        "c61af913d48e89566c99cddfb8e4c158">
   <!ENTITY freetype2-doc-size          "2.0 MB">
 ]>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 2a54f9971ac679f326ce7a1411c8f7fe123d73ea)
+++ introduction/welcome/changelog.xml	(revision 907ece52cef5545587a9d9fab1cf4d048504d607)
@@ -43,4 +43,26 @@
     -->
     <listitem>
+      <para>July 27th, 2021</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to freetype-2.11.0. Fixes
+          <ulink url="&blfs-ticket-root;15293">#15293</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to gparted-1.3.1. Fixes
+          <ulink url="&blfs-ticket-root;15292">#15292</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to nghttp2-1.44.0. Fixes
+          <ulink url="&blfs-ticket-root;15290">#15290</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to graphviz-2.48.0. Fixes
+          <ulink url="&blfs-ticket-root;15289">#15289</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>July 26th, 2021</para>
       <itemizedlist>
Index: networking/netlibs/nghttp2.xml
===================================================================
--- networking/netlibs/nghttp2.xml	(revision 2a54f9971ac679f326ce7a1411c8f7fe123d73ea)
+++ networking/netlibs/nghttp2.xml	(revision 907ece52cef5545587a9d9fab1cf4d048504d607)
@@ -7,7 +7,7 @@
   <!ENTITY nghttp2-download-http "https://github.com/nghttp2/nghttp2/releases/download/v&nghttp2-version;/nghttp2-&nghttp2-version;.tar.xz">
   <!ENTITY nghttp2-download-ftp  " ">
-  <!ENTITY nghttp2-md5sum        "c1d607bf3830000acd7a51f0058f4bd2">
+  <!ENTITY nghttp2-md5sum        "d9702786d89ec8053a96ab4768a172e4">
   <!ENTITY nghttp2-size          "3.8 MB">
-  <!ENTITY nghttp2-buildsize     "23 MB">
+  <!ENTITY nghttp2-buildsize     "21 MB">
   <!ENTITY nghttp2-time          "0.1 SBU">
 ]>
Index: packages.ent
===================================================================
--- packages.ent	(revision 2a54f9971ac679f326ce7a1411c8f7fe123d73ea)
+++ packages.ent	(revision 907ece52cef5545587a9d9fab1cf4d048504d607)
@@ -204,5 +204,5 @@
 <!ENTITY babl-version                 "0.1.88">
 <!ENTITY exiv2-version                "0.27.4">
-<!ENTITY freetype2-version            "2.10.4">
+<!ENTITY freetype2-version            "2.11.0">
 <!ENTITY fontconfig-version           "2.13.1">  <!-- stable lt .90 micro version -->
 <!ENTITY fribidi-version              "1.0.9">
@@ -250,5 +250,5 @@
 <!ENTITY desktop-file-utils-version   "0.26">
 <!ENTITY gperf-version                "3.0.4">
-<!ENTITY graphviz-version             "2.47.3">
+<!ENTITY graphviz-version             "2.48.0">
 <!ENTITY gtk-doc-major                "1.33">
 <!ENTITY gtk-doc-version              "1.33.2">
@@ -642,5 +642,5 @@
 <!ENTITY libtirpc-version             "1.3.2">
 <!ENTITY neon-version                 "0.31.2">
-<!ENTITY nghttp2-version              "1.43.0">
+<!ENTITY nghttp2-version              "1.44.0">
 <!ENTITY rpcsvc-proto-version         "1.4.2">
 <!ENTITY serf-version                 "1.3.9">
@@ -939,5 +939,5 @@
 <!--<!ENTITY fontforge-date               "2015-02-28">-->
 <!ENTITY fontforge-version            "20201107">
-<!ENTITY gparted-version              "1.3.0">
+<!ENTITY gparted-version              "1.3.1">
 <!ENTITY gimp-version                 "2.10.24">
 <!ENTITY hexchat-version              "2.14.3">
Index: xsoft/other/gparted.xml
===================================================================
--- xsoft/other/gparted.xml	(revision 2a54f9971ac679f326ce7a1411c8f7fe123d73ea)
+++ xsoft/other/gparted.xml	(revision 907ece52cef5545587a9d9fab1cf4d048504d607)
@@ -7,7 +7,7 @@
   <!ENTITY gparted-download-http "&sourceforge-dl;/gparted/gparted-&gparted-version;.tar.gz">
   <!ENTITY gparted-download-ftp  " ">
-  <!ENTITY gparted-md5sum        "cbc88cb23c1eb77cc956a625942c63a4">
+  <!ENTITY gparted-md5sum        "1b2de7823b39684d0cba1ddaad3a9cd5">
   <!ENTITY gparted-size          "4.0 MB">
-  <!ENTITY gparted-buildsize     "85 MB (add 76 MB for tests)">
+  <!ENTITY gparted-buildsize     "76 MB (add 60 MB for tests)">
   <!ENTITY gparted-time          "0.3 SBU (using parallelism=4; add 0.2 SBU for tests)">
 ]>