Index: x/lib/agg.xml
===================================================================
--- x/lib/agg.xml	(revision add8d4f34edbffd06a4018494256b0ac3eb64307)
+++ x/lib/agg.xml	(revision 910d88881fbe0f21043d3d02b0a51cef0ea68343)
@@ -138,8 +138,12 @@
 
     <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
       <segtitle>Installed Libraries</segtitle>
       <segtitle>Installed Directory</segtitle>
 
       <seglistitem>
+	<seg>
+	  None
+	</seg>
         <seg>
           libagg.so,
Index: x/lib/at-spi2-atk.xml
===================================================================
--- x/lib/at-spi2-atk.xml	(revision add8d4f34edbffd06a4018494256b0ac3eb64307)
+++ x/lib/at-spi2-atk.xml	(revision 910d88881fbe0f21043d3d02b0a51cef0ea68343)
@@ -115,8 +115,12 @@
 
     <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
       <segtitle>Installed Libraries</segtitle>
       <segtitle>Installed Directory</segtitle>
 
       <seglistitem>
+	<seg>
+	  None
+	</seg>
         <seg>
           libatk-bridge.so and libatk-bridge-2.0.so
Index: x/lib/at-spi2-core.xml
===================================================================
--- x/lib/at-spi2-core.xml	(revision add8d4f34edbffd06a4018494256b0ac3eb64307)
+++ x/lib/at-spi2-core.xml	(revision 910d88881fbe0f21043d3d02b0a51cef0ea68343)
@@ -137,5 +137,5 @@
 
     <segmentedlist>
-      <!-- <segtitle>Installed Programs</segtitle> -->
+      <segtitle>Installed Programs</segtitle>
       <segtitle>Installed Library</segtitle>
       <segtitle>Installed Directories</segtitle>
@@ -145,4 +145,7 @@
           at-spi-bus-launcher and at-spi2-registryd
         </seg> -->
+	<seg>
+	  None
+	</seg>
         <seg>
           libatspi.so
Index: x/lib/atk.xml
===================================================================
--- x/lib/atk.xml	(revision add8d4f34edbffd06a4018494256b0ac3eb64307)
+++ x/lib/atk.xml	(revision 910d88881fbe0f21043d3d02b0a51cef0ea68343)
@@ -130,8 +130,12 @@
 
     <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
       <segtitle>Installed Library</segtitle>
       <segtitle>Installed Directories</segtitle>
 
       <seglistitem>
+	<seg>
+	  None
+	</seg>
         <seg>
           libatk-1.0.so
Index: x/lib/atkmm.xml
===================================================================
--- x/lib/atkmm.xml	(revision add8d4f34edbffd06a4018494256b0ac3eb64307)
+++ x/lib/atkmm.xml	(revision 910d88881fbe0f21043d3d02b0a51cef0ea68343)
@@ -111,8 +111,12 @@
 
     <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
       <segtitle>Installed Library</segtitle>
       <segtitle>Installed Directories</segtitle>
 
       <seglistitem>
+	<seg>
+	  None
+	</seg>
         <seg>
           libatkmm-1.6.so
Index: x/lib/cairomm.xml
===================================================================
--- x/lib/cairomm.xml	(revision add8d4f34edbffd06a4018494256b0ac3eb64307)
+++ x/lib/cairomm.xml	(revision 910d88881fbe0f21043d3d02b0a51cef0ea68343)
@@ -117,4 +117,5 @@
 
     <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
       <segtitle>Installed Library</segtitle>
       <segtitle>Installed Directories</segtitle>
@@ -122,4 +123,7 @@
       <seglistitem>
         <seg>
+	  None
+	</seg>
+	<seg>
           libcairomm-1.0.so
         </seg>
Index: x/lib/goffice.xml
===================================================================
--- x/lib/goffice.xml	(revision add8d4f34edbffd06a4018494256b0ac3eb64307)
+++ x/lib/goffice.xml	(revision 910d88881fbe0f21043d3d02b0a51cef0ea68343)
@@ -145,8 +145,12 @@
 
     <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
       <segtitle>Installed Libraries</segtitle>
       <segtitle>Installed Directories</segtitle>
 
       <seglistitem>
+	<seg>
+	  None
+	</seg>
         <seg>libgoffice-08.so and numerous support plugins.</seg>
         <seg>
Index: x/lib/gtk-engines.xml
===================================================================
--- x/lib/gtk-engines.xml	(revision add8d4f34edbffd06a4018494256b0ac3eb64307)
+++ x/lib/gtk-engines.xml	(revision 910d88881fbe0f21043d3d02b0a51cef0ea68343)
@@ -104,4 +104,5 @@
 
     <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
       <segtitle>Installed Libraries</segtitle>
       <segtitle>Installed Directories</segtitle>
@@ -109,4 +110,7 @@
 
       <seglistitem>
+	<seg>
+	  None
+	</seg>
         <seg>
           libclearlooks.so,
Index: x/lib/gtkmm2.xml
===================================================================
--- x/lib/gtkmm2.xml	(revision add8d4f34edbffd06a4018494256b0ac3eb64307)
+++ x/lib/gtkmm2.xml	(revision 910d88881fbe0f21043d3d02b0a51cef0ea68343)
@@ -113,8 +113,12 @@
 
     <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
       <segtitle>Installed Libraries</segtitle>
       <segtitle>Installed Directories</segtitle>
 
       <seglistitem>
+	<seg>
+	  None
+	</seg>
         <seg>
           libgdkmm-2.4.so and libgtkmm-2.4.so
Index: x/lib/gtkmm3.xml
===================================================================
--- x/lib/gtkmm3.xml	(revision add8d4f34edbffd06a4018494256b0ac3eb64307)
+++ x/lib/gtkmm3.xml	(revision 910d88881fbe0f21043d3d02b0a51cef0ea68343)
@@ -111,4 +111,5 @@
 
     <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
       <segtitle>Installed Libraries</segtitle>
       <segtitle>Installed Directories</segtitle>
@@ -116,4 +117,7 @@
       <seglistitem>
         <seg>
+	  None
+	</seg>
+	<seg>
           libgdkmm-3.0.so and libgtkmm-3.0.so
         </seg>
Index: x/lib/libxklavier.xml
===================================================================
--- x/lib/libxklavier.xml	(revision add8d4f34edbffd06a4018494256b0ac3eb64307)
+++ x/lib/libxklavier.xml	(revision 910d88881fbe0f21043d3d02b0a51cef0ea68343)
@@ -142,8 +142,12 @@
 
     <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
       <segtitle>Installed Library</segtitle>
       <segtitle>Installed Directories</segtitle>
 
       <seglistitem>
+	<seg>
+	  None
+	</seg>
         <seg>
           libxklavier.so
Index: x/lib/pangomm.xml
===================================================================
--- x/lib/pangomm.xml	(revision add8d4f34edbffd06a4018494256b0ac3eb64307)
+++ x/lib/pangomm.xml	(revision 910d88881fbe0f21043d3d02b0a51cef0ea68343)
@@ -112,4 +112,5 @@
 
     <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
       <segtitle>Installed Library</segtitle>
       <segtitle>Installed Directories</segtitle>
@@ -117,4 +118,7 @@
       <seglistitem>
         <seg>
+	  None
+	</seg>
+	<seg>
           libpangomm-1.4.so
         </seg>