Index: general/genlib/libatasmart.xml
===================================================================
--- general/genlib/libatasmart.xml	(revision c4ab33b586cdc3cd722ab1f5a59367ec562afc54)
+++ general/genlib/libatasmart.xml	(revision 911d9698a6c7ee71753905f1a8bba4f85466fd39)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs73_checked;
+    &lfs74_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genlib/libzeitgeist.xml
===================================================================
--- general/genlib/libzeitgeist.xml	(revision c4ab33b586cdc3cd722ab1f5a59367ec562afc54)
+++ general/genlib/libzeitgeist.xml	(revision 911d9698a6c7ee71753905f1a8bba4f85466fd39)
@@ -40,5 +40,5 @@
     </para>
 
-    &lfs73_checked;
+    &lfs74_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genutils/xscreensaver.xml
===================================================================
--- general/genutils/xscreensaver.xml	(revision c4ab33b586cdc3cd722ab1f5a59367ec562afc54)
+++ general/genutils/xscreensaver.xml	(revision 911d9698a6c7ee71753905f1a8bba4f85466fd39)
@@ -42,5 +42,5 @@
     </para>
 
-    &lfs73_checked;
+    &lfs74_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/giflib.xml
===================================================================
--- general/graphlib/giflib.xml	(revision c4ab33b586cdc3cd722ab1f5a59367ec562afc54)
+++ general/graphlib/giflib.xml	(revision 911d9698a6c7ee71753905f1a8bba4f85466fd39)
@@ -34,5 +34,5 @@
     working with GIF files.</para>
 
-    &lfs73_checked;
+    &lfs74_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/graphlib/imlib2.xml
===================================================================
--- general/graphlib/imlib2.xml	(revision c4ab33b586cdc3cd722ab1f5a59367ec562afc54)
+++ general/graphlib/imlib2.xml	(revision 911d9698a6c7ee71753905f1a8bba4f85466fd39)
@@ -33,5 +33,5 @@
     loading, saving, rendering and manipulation.</para>
 
-    &lfs73_checked;
+    &lfs74_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/prog/pyxdg.xml
===================================================================
--- general/prog/pyxdg.xml	(revision c4ab33b586cdc3cd722ab1f5a59367ec562afc54)
+++ general/prog/pyxdg.xml	(revision 911d9698a6c7ee71753905f1a8bba4f85466fd39)
@@ -31,5 +31,5 @@
       </para>
 
-      &lfs73_checked;
+      &lfs74_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: general/prog/ruby.xml
===================================================================
--- general/prog/ruby.xml	(revision c4ab33b586cdc3cd722ab1f5a59367ec562afc54)
+++ general/prog/ruby.xml	(revision 911d9698a6c7ee71753905f1a8bba4f85466fd39)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs73_checked;
+    &lfs74_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/sysutils/sg3_utils.xml
===================================================================
--- general/sysutils/sg3_utils.xml	(revision c4ab33b586cdc3cd722ab1f5a59367ec562afc54)
+++ general/sysutils/sg3_utils.xml	(revision 911d9698a6c7ee71753905f1a8bba4f85466fd39)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs73_checked;
+    &lfs74_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/sysutils/udisks.xml
===================================================================
--- general/sysutils/udisks.xml	(revision c4ab33b586cdc3cd722ab1f5a59367ec562afc54)
+++ general/sysutils/udisks.xml	(revision 911d9698a6c7ee71753905f1a8bba4f85466fd39)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs73_checked;
+    &lfs74_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gconf.xml
===================================================================
--- gnome/platform/gconf.xml	(revision c4ab33b586cdc3cd722ab1f5a59367ec562afc54)
+++ gnome/platform/gconf.xml	(revision 911d9698a6c7ee71753905f1a8bba4f85466fd39)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs73_checked;
+    &lfs74_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gsettings-desktop-schemas.xml
===================================================================
--- gnome/platform/gsettings-desktop-schemas.xml	(revision c4ab33b586cdc3cd722ab1f5a59367ec562afc54)
+++ gnome/platform/gsettings-desktop-schemas.xml	(revision 911d9698a6c7ee71753905f1a8bba4f85466fd39)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs73_checked;
+    &lfs74_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/gvfs.xml
===================================================================
--- gnome/platform/gvfs.xml	(revision c4ab33b586cdc3cd722ab1f5a59367ec562afc54)
+++ gnome/platform/gvfs.xml	(revision 911d9698a6c7ee71753905f1a8bba4f85466fd39)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs73_checked;
+    &lfs74_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/libsecret.xml
===================================================================
--- gnome/platform/libsecret.xml	(revision c4ab33b586cdc3cd722ab1f5a59367ec562afc54)
+++ gnome/platform/libsecret.xml	(revision 911d9698a6c7ee71753905f1a8bba4f85466fd39)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs73_checked;
+    &lfs74_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: gnome/platform/libwnck.xml
===================================================================
--- gnome/platform/libwnck.xml	(revision c4ab33b586cdc3cd722ab1f5a59367ec562afc54)
+++ gnome/platform/libwnck.xml	(revision 911d9698a6c7ee71753905f1a8bba4f85466fd39)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs73_checked;
+    &lfs74_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision c4ab33b586cdc3cd722ab1f5a59367ec562afc54)
+++ introduction/welcome/changelog.xml	(revision 911d9698a6c7ee71753905f1a8bba4f85466fd39)
@@ -45,4 +45,14 @@
 -->
     <listitem>
+      <para>August 25th, 2013</para>
+      <itemizedlist>
+        <listitem>
+          <para>[fernando] - Fix WebKitGTK+-1.10.2 to build with Bison 3.0;
+          more lfs7.4 tags.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>August 24th, 2013</para>
       <itemizedlist>
Index: networking/netlibs/geoclue.xml
===================================================================
--- networking/netlibs/geoclue.xml	(revision c4ab33b586cdc3cd722ab1f5a59367ec562afc54)
+++ networking/netlibs/geoclue.xml	(revision 911d9698a6c7ee71753905f1a8bba4f85466fd39)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs73_checked;
+    &lfs74_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netlibs/glib-networking.xml
===================================================================
--- networking/netlibs/glib-networking.xml	(revision c4ab33b586cdc3cd722ab1f5a59367ec562afc54)
+++ networking/netlibs/glib-networking.xml	(revision 911d9698a6c7ee71753905f1a8bba4f85466fd39)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs73_checked;
+    &lfs74_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netlibs/libsoup.xml
===================================================================
--- networking/netlibs/libsoup.xml	(revision c4ab33b586cdc3cd722ab1f5a59367ec562afc54)
+++ networking/netlibs/libsoup.xml	(revision 911d9698a6c7ee71753905f1a8bba4f85466fd39)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs73_checked;
+    &lfs74_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netprogs/net-tools.xml
===================================================================
--- networking/netprogs/net-tools.xml	(revision c4ab33b586cdc3cd722ab1f5a59367ec562afc54)
+++ networking/netprogs/net-tools.xml	(revision 911d9698a6c7ee71753905f1a8bba4f85466fd39)
@@ -34,5 +34,5 @@
     kernel.</para>
 
-    &lfs73_checked;
+    &lfs74_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netprogs/wireless-tools.xml
===================================================================
--- networking/netprogs/wireless-tools.xml	(revision c4ab33b586cdc3cd722ab1f5a59367ec562afc54)
+++ networking/netprogs/wireless-tools.xml	(revision 911d9698a6c7ee71753905f1a8bba4f85466fd39)
@@ -41,5 +41,5 @@
     textual interface to support the full Wireless Extension.</para>
 
-    &lfs73_checked;
+    &lfs74_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/gtk-engines.xml
===================================================================
--- x/lib/gtk-engines.xml	(revision c4ab33b586cdc3cd722ab1f5a59367ec562afc54)
+++ x/lib/gtk-engines.xml	(revision 911d9698a6c7ee71753905f1a8bba4f85466fd39)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs73_checked;
+    &lfs74_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/webkitgtk.xml
===================================================================
--- x/lib/webkitgtk.xml	(revision c4ab33b586cdc3cd722ab1f5a59367ec562afc54)
+++ x/lib/webkitgtk.xml	(revision 911d9698a6c7ee71753905f1a8bba4f85466fd39)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs73_checked;
+    &lfs74_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -135,5 +135,7 @@
     </para>
 
-<screen><userinput>sed -i '/generate-gtkdoc --rebase/s:^:# :' GNUmakefile.in</userinput></screen>
+<screen><userinput>sed -i '/generate-gtkdoc --rebase/s:^:# :' GNUmakefile.in   &amp;&amp;</userinput>
+<userinput>sed -i '/parse-param/ a%lex-param {YYLEX_PARAM}' \
+             Source/ThirdParty/ANGLE/src/compiler/glslang.y</userinput></screen>
 
     <para>
@@ -162,4 +164,10 @@
   <sect2 role="commands">
     <title>Command Explanations</title>
+
+    <para>
+      <command>sed ... Source/ThirdParty/ANGLE/src/compiler/glslang.y</command>:
+      This command corrects a problem caused by the most recent version of
+      Bison.
+    </para>
 
     <para>
Index: x/lib/xulrunner.xml
===================================================================
--- x/lib/xulrunner.xml	(revision c4ab33b586cdc3cd722ab1f5a59367ec562afc54)
+++ x/lib/xulrunner.xml	(revision 911d9698a6c7ee71753905f1a8bba4f85466fd39)
@@ -40,5 +40,5 @@
     </para>
 
-    &lfs73_checked;
+    &lfs74_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/wm/openbox.xml
===================================================================
--- x/wm/openbox.xml	(revision c4ab33b586cdc3cd722ab1f5a59367ec562afc54)
+++ x/wm/openbox.xml	(revision 911d9698a6c7ee71753905f1a8bba4f85466fd39)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs73_checked;
+    &lfs74_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xfce/apps/midori.xml
===================================================================
--- xfce/apps/midori.xml	(revision c4ab33b586cdc3cd722ab1f5a59367ec562afc54)
+++ xfce/apps/midori.xml	(revision 911d9698a6c7ee71753905f1a8bba4f85466fd39)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs73_checked;
+    &lfs74_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xsoft/graphweb/seamonkey.xml
===================================================================
--- xsoft/graphweb/seamonkey.xml	(revision c4ab33b586cdc3cd722ab1f5a59367ec562afc54)
+++ xsoft/graphweb/seamonkey.xml	(revision 911d9698a6c7ee71753905f1a8bba4f85466fd39)
@@ -47,5 +47,5 @@
     </para>
 
-    &lfs73_checked;
+    &lfs74_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xsoft/other/thunderbird.xml
===================================================================
--- xsoft/other/thunderbird.xml	(revision c4ab33b586cdc3cd722ab1f5a59367ec562afc54)
+++ xsoft/other/thunderbird.xml	(revision 911d9698a6c7ee71753905f1a8bba4f85466fd39)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs73_checked;
+    &lfs74_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: xsoft/other/xdg-utils.xml
===================================================================
--- xsoft/other/xdg-utils.xml	(revision c4ab33b586cdc3cd722ab1f5a59367ec562afc54)
+++ xsoft/other/xdg-utils.xml	(revision 911d9698a6c7ee71753905f1a8bba4f85466fd39)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs73_checked;
+    &lfs74_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>