Index: basicnet/netprogs/cvs/cvs.ent
===================================================================
--- basicnet/netprogs/cvs/cvs.ent	(revision 5a194a22c22b2bdbc5b2163594fe911877c2ba61)
+++ basicnet/netprogs/cvs/cvs.ent	(revision 912e22566920e8abc926451c100ff69fa7ce2d7f)
@@ -6,4 +6,4 @@
 <!ENTITY cvs-buildsize "14 MB">
 <!ENTITY cvs-version "1.11.2">
-<!ENTITY cvs-download "http://ccvs.cvshome.org/servlets/ProjectDownloadList">
+<!ENTITY cvs-download "http://ftp.cvshome.org/cvs-1.11.2/cvs-1.11.2.tar.gz">
 <!ENTITY cvs-size "2.6 MB">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 5a194a22c22b2bdbc5b2163594fe911877c2ba61)
+++ introduction/welcome/changelog.xml	(revision 912e22566920e8abc926451c100ff69fa7ce2d7f)
@@ -11,5 +11,8 @@
 <itemizedlist>
 
-<listitem><para>July 13, 2002 [bdubbs]: Update location of zlib.
+<listitem><para>July 13th, 2002 [markh]: Update location of
+cvs package.</para></listitem>
+
+<listitem><para>July 13th, 2002 [bdubbs]: Update location of zlib.
 </para></listitem>
 
@@ -18,55 +21,55 @@
 answer.</para></listitem>
 
-<listitem><para>July 4, 2002 [bdubbs]: Various typo and 
+<listitem><para>July 4th, 2002 [bdubbs]: Various typo and 
 grammer changes.</para></listitem>
 
-<listitem><para>July 4, 2002 [bdubbs]: KDE section - updated 
+<listitem><para>July 4th, 2002 [bdubbs]: KDE section - updated 
 koffice patch instruction and added a backslash to kdelibs
 build commands. Successfully rebuilt kde 3.0.2 with current
 instructions.</para></listitem>
 
-<listitem><para>July 3, 2002 [bdubbs]: KDE section - updated 
+<listitem><para>July 3rd, 2002 [bdubbs]: KDE section - updated 
 koffice and changed to kde 3.0.2.</para></listitem>
 
-<listitem><para>July 2, 2002 [bdubbs]: KDE section - updated 
+<listitem><para>July 2nd, 2002 [bdubbs]: KDE section - updated 
 kdeutils, kdeedu, kdeartwork, kdetoys, and kdeaddons.</para></listitem>
 
-<listitem><para>July 2, 2002 [bdubbs]: Updated 
+<listitem><para>July 2nd, 2002 [bdubbs]: Updated 
 link location in libungif and added a note to remove a possible
 compilation error.</para></listitem>
 
-<listitem><para>July 1, 2002 [bdubbs]: KDE section - updated 
+<listitem><para>July 1st, 2002 [bdubbs]: KDE section - updated 
 kdegraphics, kdeadmin, and kdegames sections.  Updated imlib
 to correct an error in configure with gcc 3.1.  Changed download
 locations to links in libtiff and libungif</para></listitem>
 
-<listitem><para>June 30, 2002 [bdubbs]: KDE section - updated 
+<listitem><para>June 30th, 2002 [bdubbs]: KDE section - updated 
 kedmultimedia, kdenetwork and kdepim sections.</para></listitem>
 
-<listitem><para>June 29, 2002 [larry]: Chapter 5 - updated to
+<listitem><para>June 29th, 2002 [larry]: Chapter 5 - updated to
 alsa-0.9.0rc2 and moved gnome intro.</para></listitem>
 
-<listitem><para>June 28, 2002 [bdubbs]: QT section -  Added note to allow
+<listitem><para>June 28th, 2002 [bdubbs]: QT section -  Added note to allow
 not building examples and tutorials.</para></listitem>
 
-<listitem><para>June 28, 2002 [larry]: Chapter 4 - Added GTK+-1.2.10,
+<listitem><para>June 28th, 2002 [larry]: Chapter 4 - Added GTK+-1.2.10,
 GLib-1.2.10, gdk-0.11.0, libxml-1.8.17.</para></listitem>
 
-<listitem><para>June 27, 2002 [larry]: Chapter 12 - Started adding
+<listitem><para>June 27th, 2002 [larry]: Chapter 12 - Started adding
 GNOME-1.4.1.</para></listitem>
 
-<listitem><para>June 26, 2002 [larry]: Chapter 4 - Added
+<listitem><para>June 26th, 2002 [larry]: Chapter 4 - Added
 GTK+-2.0.5, Chapter 9 - Updated to OpenSSH-3.4p1.</para></listitem>
 
-<listitem><para>June 24, 2002 [larry]: Chapter 9 - Updated to
+<listitem><para>June 24th, 2002 [larry]: Chapter 9 - Updated to
 OpenSSH-3.3p1, with modifications to set up priviledged/unpriviledged
 operations which is now the default. Chapter 4 - Added GLib-2.0.4,
 Pango-1.0.3 and ATK-1.0.2</para></listitem>
 
-<listitem><para>June 22, 2002 [larry]: Chapter 20 - Added kernel
+<listitem><para>June 22nd, 2002 [larry]: Chapter 20 - Added kernel
 configuration and additional reading links to
 introduction.</para></listitem>
 
-<listitem><para>June 21, 2002 [larry]: Chapter 04 - Added
+<listitem><para>June 21st, 2002 [larry]: Chapter 04 - Added
 pkgconfig-0.12.0.</para></listitem>
 