Index: general/genlib/libgudev.xml
===================================================================
--- general/genlib/libgudev.xml	(revision 3b1d13dc8b326b6f973b8cac2edec8aed3228c7b)
+++ general/genlib/libgudev.xml	(revision 914a41c228097c65f1ce6a2e9a9b28464ac7c798)
@@ -10,6 +10,6 @@
            "&gnome-download-ftp;/libgudev/&libgudev-version;/libgudev-&libgudev-version;.tar.xz">
   <!ENTITY libgudev-md5sum        "386889d460003a4242a64cb47244a39a">
-  <!ENTITY libgudev-size          "268 KB">
-  <!ENTITY libgudev-buildsize     "4.1 MB">
+  <!ENTITY libgudev-size          "28 KB">
+  <!ENTITY libgudev-buildsize     "1.8 MB">
   <!ENTITY libgudev-time          "less than 0.1 SBU">
 ]>
@@ -98,10 +98,12 @@
     </para>
 
-<screen><userinput>./configure --prefix=/usr --disable-umockdev &amp;&amp;
-make</userinput></screen>
+<screen><userinput>mkdir build &amp;&amp;
+cd    build &amp;&amp;
+
+meson --prefix=/usr .. &amp;&amp;
+ninja</userinput></screen>
 
     <para>
-      If you wish to run the test suite, omit "--disable-umockdev" from the
-      configure command and then issue: <command>make check</command>.
+      To test the results, issue: <command>ninja test</command>.
     </para>
 
@@ -110,5 +112,5 @@
     </para>
 
-<screen role="root"><userinput>make install</userinput></screen>
+<screen role="root"><userinput>ninja install</userinput></screen>
 
   </sect2>
@@ -117,13 +119,19 @@
     <title>Command Explanations</title>
 
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-      href="../../xincludes/gtk-doc-rebuild.xml"/>
+    <para>
+      <option>-Dgtk_doc=true</option>: Use this option if GTK-Doc is installed
+      and you wish to build and install the API documentation.
+    </para>
 
+    <!--<xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../../xincludes/gtk-doc-rebuild.xml"/>-->
+
+<!-- With meson, the tests will be disabled automatically without umockdev present.
     <para>
-      <parameter>--disable-umockdev</parameter>: Disables the usage of
+      <parameter>- -disable-umockdev</parameter>: Disables the usage of
       <xref role="nodep" linkend="umockdev"/>. Omit this switch if you
       wish to run the test suite.
     </para>
-
+-->
   </sect2>
 
Index: general/prog/cmake.xml
===================================================================
--- general/prog/cmake.xml	(revision 3b1d13dc8b326b6f973b8cac2edec8aed3228c7b)
+++ general/prog/cmake.xml	(revision 914a41c228097c65f1ce6a2e9a9b28464ac7c798)
@@ -7,8 +7,8 @@
   <!ENTITY cmake-download-http "https://cmake.org/files/v&cmake-major-version;/cmake-&cmake-version;.tar.gz">
   <!ENTITY cmake-download-ftp  " ">
-  <!ENTITY cmake-md5sum        "aec448bdfb4436c7cde2066baf5fc66c">
+  <!ENTITY cmake-md5sum        "c426b5916ffb028a3e8d46702e0bf322">
   <!ENTITY cmake-size          "8.8 MB">
   <!ENTITY cmake-buildsize     "374 MB (add 732 MB for tests)">
-  <!ENTITY cmake-time          "2.2 SBU (add 3.1 SBU for tests, both using parallelism=4)">
+  <!ENTITY cmake-time          "2.1 SBU (add 3.2 SBU for tests, both using parallelism=4)">
 ]>
 
Index: gnome.ent
===================================================================
--- gnome.ent	(revision 3b1d13dc8b326b6f973b8cac2edec8aed3228c7b)
+++ gnome.ent	(revision 914a41c228097c65f1ce6a2e9a9b28464ac7c798)
@@ -31,5 +31,5 @@
 <!ENTITY gnome-menus-version               "3.36.0">
 <!ENTITY gnome-video-effects-version       "0.5.0">
-<!ENTITY gnome-online-accounts-version     "3.38.0">
+<!ENTITY gnome-online-accounts-version     "3.38.1">
 <!ENTITY grilo-version                     "0.3.13">
 <!ENTITY libchamplain-version              "0.12.20">
@@ -62,6 +62,6 @@
 <!ENTITY gnome-settings-daemon-version     "3.38.1">
 <!ENTITY gnome-control-center-version      "3.38.4">
-<!ENTITY mutter-version                    "3.38.3">
-<!ENTITY gnome-shell-version               "3.38.3">
+<!ENTITY mutter-version                    "3.38.4">
+<!ENTITY gnome-shell-version               "3.38.4">
 <!ENTITY gnome-shell-extensions-version    "3.38.2">
 <!ENTITY gnome-session-version             "3.38.0">
Index: gnome/platform/gnome-online-accounts.xml
===================================================================
--- gnome/platform/gnome-online-accounts.xml	(revision 3b1d13dc8b326b6f973b8cac2edec8aed3228c7b)
+++ gnome/platform/gnome-online-accounts.xml	(revision 914a41c228097c65f1ce6a2e9a9b28464ac7c798)
@@ -9,6 +9,6 @@
   <!ENTITY gnome-online-accounts-download-ftp
            "&gnome-download-ftp;/gnome-online-accounts/&gnome-minor-38;/gnome-online-accounts-&gnome-online-accounts-version;.tar.xz">
-  <!ENTITY gnome-online-accounts-md5sum        "fa62ae47bfe3b78a72db5d414b8de4d8">
-  <!ENTITY gnome-online-accounts-size          "840 KB">
+  <!ENTITY gnome-online-accounts-md5sum        "f86341250dd4c2963a906652ae85a425">
+  <!ENTITY gnome-online-accounts-size          "844 KB">
   <!ENTITY gnome-online-accounts-buildsize     "36 MB">
   <!ENTITY gnome-online-accounts-time          "0.4 SBU">
Index: gnome/platform/gnome-shell.xml
===================================================================
--- gnome/platform/gnome-shell.xml	(revision 3b1d13dc8b326b6f973b8cac2edec8aed3228c7b)
+++ gnome/platform/gnome-shell.xml	(revision 914a41c228097c65f1ce6a2e9a9b28464ac7c798)
@@ -9,5 +9,5 @@
   <!ENTITY gnome-shell-download-ftp
            "&gnome-download-ftp;/gnome-shell/&gnome-minor-38;/gnome-shell-&gnome-shell-version;.tar.xz">
-  <!ENTITY gnome-shell-md5sum        "b5168fbfeae34eaeaf98d0ad8474f3f8">
+  <!ENTITY gnome-shell-md5sum        "e6c891c430016ced449e38661ddf6dec">
   <!ENTITY gnome-shell-size          "1.7 MB">
   <!ENTITY gnome-shell-buildsize     "72 MB (including tests)">
Index: gnome/platform/mutter.xml
===================================================================
--- gnome/platform/mutter.xml	(revision 3b1d13dc8b326b6f973b8cac2edec8aed3228c7b)
+++ gnome/platform/mutter.xml	(revision 914a41c228097c65f1ce6a2e9a9b28464ac7c798)
@@ -7,5 +7,5 @@
   <!ENTITY mutter-download-http "&gnome-download-http;/mutter/&gnome-minor-38;/mutter-&mutter-version;.tar.xz">
   <!ENTITY mutter-download-ftp  "&gnome-download-ftp;/mutter/&gnome-minor-38;/mutter-&mutter-version;.tar.xz">
-  <!ENTITY mutter-md5sum        "06c849b0356efcccd3e32a809110df8d">
+  <!ENTITY mutter-md5sum        "7a72928143cd8f84e6ff43de6a408b77">
   <!ENTITY mutter-size          "2.5 MB">
   <!ENTITY mutter-buildsize     "139 MB">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 3b1d13dc8b326b6f973b8cac2edec8aed3228c7b)
+++ introduction/welcome/changelog.xml	(revision 914a41c228097c65f1ce6a2e9a9b28464ac7c798)
@@ -46,4 +46,24 @@
       <itemizedlist>
         <listitem>
+          <para>[renodr] - Update to cmake-3.19.7. Fixes
+          <ulink url="&blfs-ticket-root;14778">#14778</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to gnome-online-accounts-3.38.1. Fixes
+          <ulink url="&blfs-ticket-root;14779">#14779</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to mutter-3.38.4. Fixes
+          <ulink url="&blfs-ticket-root;14781">#14781</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to gnome-shell-3.38.4. Fixes
+          <ulink url="&blfs-ticket-root;14780">#14780</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to libgudev-236. Fixes
+          <ulink url="&blfs-ticket-root;14782">#14782</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[renodr] - Update to goffice-0.10.49. Fixes
           <ulink url="&blfs-ticket-root;14772">#14772</ulink>.</para>
Index: packages.ent
===================================================================
--- packages.ent	(revision 3b1d13dc8b326b6f973b8cac2edec8aed3228c7b)
+++ packages.ent	(revision 914a41c228097c65f1ce6a2e9a9b28464ac7c798)
@@ -146,5 +146,5 @@
 <!ENTITY libgrss-version              "0.7.0">
 <!ENTITY libgsf-version               "1.14.47">
-<!ENTITY libgudev-version             "234">
+<!ENTITY libgudev-version             "236">
 <!ENTITY libgusb-version              "0.3.6">
 <!ENTITY libical-version              "3.0.9">
@@ -331,5 +331,5 @@
 <!ENTITY clisp-version                "2.49">
 <!ENTITY cmake-major-version          "3.19">
-<!ENTITY cmake-minor-version          "6">
+<!ENTITY cmake-minor-version          "7">
 <!ENTITY cmake-version                "&cmake-major-version;.&cmake-minor-version;">
 <!ENTITY dejagnu-version              "1.6.2">