Index: general/genutils/genutils.xml
===================================================================
--- general/genutils/genutils.xml	(revision f243c97623537dd059ddf2cb5cb13d5ba1a57bfc)
+++ general/genutils/genutils.xml	(revision 918c149cde728aaa334f77a81c27a0aaa1cd02fe)
@@ -37,5 +37,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="ibus.xml"/>
 
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="imagemagick6.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="imagemagick.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="iso-codes.xml"/>
Index: general/genutils/imagemagick6.xml
===================================================================
--- general/genutils/imagemagick6.xml	(revision f243c97623537dd059ddf2cb5cb13d5ba1a57bfc)
+++ 	(revision )
@@ -1,442 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-
-  <!ENTITY imagemagick6-patch-version "93">
-
-  <!ENTITY imagemagick6-download-http "https://www.imagemagick.org/download/releases/ImageMagick-&imagemagick6-version;-&imagemagick6-patch-version;.tar.xz">
-  <!ENTITY imagemagick6-download-ftp  "ftp://ftp.imagemagick.org/pub/ImageMagick/releases/ImageMagick-&imagemagick6-version;-&imagemagick6-patch-version;.tar.xz">
-  <!ENTITY imagemagick6-md5sum        "ddbb2bed4145e3f7b0ff6c105ddbf612">
-  <!ENTITY imagemagick6-size          "8.7 MB">
-  <!ENTITY imagemagick6-buildsize     "158 MB, with typical dependencies (add 40 MB for tests)">
-  <!ENTITY imagemagick6-time          "0.9 SBU (Using parallelism=4; add 1.9 SBU for tests)">
-]>
-
-<!-- Editors: It is highly unlikely that the buildsize (disk space used) will
-     be less than the figure shown above. Unless you have installed *all* the
-     delegate dependencies, you will see a smaller buildsize, but what is
-     currently listed above is the space one would require if all the
-     dependencies available in the book are installed.
-
-     [bdubbs 2019-92-09]  Reduced SBU and disk space for libraries only.
-     
-     [bdubbs 2018-08-26] I upddated the above stats slightly for 8.3. All BLFS
-     dependencies were installed except gimp and texlive. Note that at this 
-     writing the only packages in the book that use this are gimp and 
-     inkscape. 
-
-     [pierre 2017-02-14] For a build of 6.9.7-8 with dependencies available in
-     the book, but with the configure command as below, I got 179 MB (2.3 SBU)
-     (and 472 KB (0.8 SBU) for the validation suite).
-
-     For a non-full build of 6.9.3-8 I got an actual space of 173 MB and running
-     the validation suite does not increase the net space. I recommend running
-     that instead of check (after the install)!
-
-     Following comments preserved from when we did a full install of -6.
-
-     Marked as 'typical' because nobody builds ALL the optional extras [ken]
-
-     [bdubbs] I do; at least the internal ones.  I still got only 200 MB.
-
-     Saved the "full" 450MB as a comment - feel free to update this iff you
-     do build all dependencies, it's probably a lot bigger now.
-
-     [bdubbs] Just removed it.  I don't think it adds anything.
-
-     Also, please look over the output from the configure command for any
-     additional dependencies that need to be listed, as ImageMagick is
-     constantly adding additional features and dependencies.
-
-     For those of us who touch this infrequently:
-     DPS/dpsXclient is from apple so not relevant to linux builds
-     GVC is part of Graphviz and documented in the explanations
-     LQR is Liquid Rescale  
-     
-     -->
-
-<sect1 id="imagemagick6" xreflabel="ImageMagick-&imagemagick6-version;-&imagemagick6-patch-version; libraries">
-  <?dbhtml filename="imagemagick6.html"?>
-
-  <sect1info>
-    <othername>$LastChangedBy$</othername>
-    <date>$Date$</date>
-  </sect1info>
-
-  <title>ImageMagick-&imagemagick6-version;-&imagemagick6-patch-version;</title>
-
-  <indexterm zone="imagemagick6">
-    <primary sortas="a-ImageMagick-6 libraries">ImageMagick-6 libraries</primary>
-  </indexterm>
-
-  <sect2 role="package">
-    <title>Introduction to ImageMagick-6 libraries</title>
-
-    <para>
-      <application>ImageMagick</application> underwent many changes in its
-      libraries between versions 6 and 7. Most packages in BLFS which use
-      <application>ImageMagick</application> can use version 7, but for the
-      others this page will install only the libraries, headers and general
-      documentation (not programs, manpages, perl modules), and it will
-      rename the unversioned pkgconfig files so that they do not overwrite the
-      same-named files from version 7.
-    </para>
-
-    &lfs91_checked;
-
-    <bridgehead renderas="sect3">Package Information</bridgehead>
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>
-          Download (HTTP): <ulink url="&imagemagick6-download-http;"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download (FTP): <ulink url="&imagemagick6-download-ftp;"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download MD5 sum: &imagemagick6-md5sum;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download size: &imagemagick6-size;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Estimated disk space required: &imagemagick6-buildsize;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Estimated build time: &imagemagick6-time;
-        </para>
-      </listitem>
-    </itemizedlist>
-
-    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>
-          Required patch:
-          <ulink url="&patch-root;/ImageMagick-&imagemagick6-version;-&imagemagick6-patch-version;-libs_only-1.patch"/>
-        </para>
-      </listitem>
-    </itemizedlist>
-
-    <note>
-      <para>
-        The <application>ImageMagick</application> source releases are updated
-        frequently and the version shown above may no longer be available from
-        the download locations. You can download a more recent version and use
-        the existing BLFS instructions to install it. Chances are that it will
-        work just fine, but this has not been tested by the BLFS team. If the
-        package version shown above is not available from the locations shown
-        above, or from the <filename class='directory'>legacy/</filename>
-        directory at <literal>ftp.ImageMagick.org/pub/ImageMagick</literal> you
-        can download it from the BLFS package server at Oregon State University: 
-        <ulink url="ftp://ftp.osuosl.org/pub/blfs/conglomeration/ImageMagick/"/>.
-      </para>
-    </note>
-
-    <bridgehead renderas="sect3">ImageMagick-6 Dependencies</bridgehead>
-
-    <bridgehead renderas="sect4">Recommended</bridgehead>
-    <para role="recommended">
-      <xref linkend="xorg7-lib"/>
-    </para>
-
-    <para>
-      The optional dependencies listed below should be installed if you need
-      support for the specific format or the conversion tool the dependency
-      provides. Many of the dependencies' capabilities and uses are described in
-      the <quote>MAGICK DELEGATES</quote> section of the
-      <filename>README.txt</filename> file located in the source tree.
-      Additional information about the dependencies can be found in the
-      <filename>Install-unix.txt</filename> file located in the source tree as
-      well as issuing the <command>./configure --help</command> command. A
-      summary of this information, as well as some additional notes can be
-      viewed on-line at <ulink
-      url="http://www.imagemagick.org/script/advanced-unix-installation.php"/>.
-    </para>
-
-    <bridgehead renderas="sect4">Optional System Utilities</bridgehead>
-    <para role="optional">
-      <xref linkend="cups"/>,
-      <xref linkend="curl"/>,
-      <xref linkend="ffmpeg"/>,
-      <xref linkend="fftw"/>,
-      <xref linkend="p7zip"/> (LZMA),
-      <xref linkend="sane"/>,
-      <xref linkend="wget"/>,
-      <xref linkend="xdg-utils"/>,
-      <xref linkend="xterm2"/>,
-      <ulink url="http://dmalloc.com/">Dmalloc</ulink>,
-      <ulink url="http://linux.softpedia.com/get/Programming/Debuggers/Electric-Fence-3305.shtml/">Electric Fence</ulink>,
-      <ulink url="http://www.openpgp.org/about/">PGP</ulink> or
-      <xref linkend="gnupg2"/>
-      (you'll have to do some hacking to use <application>GnuPG</application>),
-      <ulink url="ftp://ftp.imagemagick.org/pub/ImageMagick/delegates">Profiles</ulink>,
-      and
-      <ulink url="http://ufraw.sourceforge.net/">ufraw</ulink> (for raw formats
-      listed in
-      <ulink url="http://imagemagick.org/script/formats.php">
-      http://www.imagemagick.org/www/formats.html</ulink>)
-    </para>
-
-    <bridgehead renderas="sect4">Optional Graphics Libraries</bridgehead>
-    <para role="optional">
-      <xref linkend="jasper"/>,
-      <xref role="nodep" linkend="lcms"/> or
-      <xref linkend="lcms2"/>,
-      <xref linkend="libexif"/>,
-      <xref linkend="libgxps"/>,
-      <xref linkend="libjpeg"/>,
-      <xref linkend="libpng"/>,
-      <xref linkend="libraw"/> (RAW_R),
-      <xref linkend="librsvg"/>,
-      <xref linkend="libtiff"/>,
-      <xref linkend="libwebp"/>,
-      <xref linkend="openjpeg2"/>,
-      <xref linkend="pango"/>,
-      <ulink url="http://djvu.sourceforge.net/">DjVuLibre</ulink>,
-      <ulink url="ftp://ftp.imagemagick.org/pub/ImageMagick/delegates/">
-      FlashPIX (libfpx)</ulink>,
-      <ulink url="https://github.com/FLIF-hub/FLIF/releases">FLIF</ulink>,
-      <ulink url="http://www.cl.cam.ac.uk/~mgk25/jbigkit/">JBIG-KIT</ulink>,
-      <!--      <ulink url="&gnome-download-http;/libgxps/">libgxps</ulink>, -->
-      <ulink url="https://github.com/HOST-Oman/libraqm/">libraqm</ulink>,
-      <ulink url="http://liblqr.wikidot.com/en:download-page">Liquid Rescale</ulink>,
-      <ulink url="http://www.openexr.com/">OpenEXR</ulink>, and
-      <ulink url="http://www.agocg.ac.uk/train/cgm/ralcgm.htm">RALCGM</ulink>
-      (or <ulink url="http://www.mcmurchy.com/ralcgm/ralcgm-3.51.tar.gz">ralcgm</ulink>)
-    </para>
-
-    <bridgehead renderas="sect4">Optional Graphics Utilities</bridgehead>
-    <para role="optional">
-      <xref linkend="dejavu-fonts"/>,
-      <xref linkend="gs"/>,
-      <xref linkend="gimp"/>,
-      <xref linkend="graphviz"/>,
-      <xref linkend="inkscape"/>,
-      <ulink url="http://www.blender.org/">Blender</ulink>,
-      <ulink url="http://corefonts.sourceforge.net/">corefonts</ulink>,
-      <ulink url="http://www.ghostscript.com/download/gpcldnld.html">GhostPCL</ulink>,
-      <ulink url="http://www.gnuplot.info/">Gnuplot</ulink>,
-      <ulink url="http://www.povray.org/">POV-Ray</ulink>, and
-      <ulink url="http://www.radiance-online.org/">Radiance</ulink>
-    </para>
-
-    <bridgehead renderas="sect4">Optional Conversion Tools</bridgehead>
-    <para role="optional">
-      <xref linkend="enscript"/>,
-      <xref linkend="texlive"/> (or <xref linkend="tl-installer"/>)
-      <ulink url="http://autotrace.sourceforge.net/">AutoTrace</ulink>,
-      <ulink url="http://www.lizardtech.com/downloads/category/">
-      GeoExpress Command Line Utilities, AKA MrSID Utilities (binary package)</ulink>,
-      <ulink url="http://www.gnu.org/software/hp2xx/">hp2xx</ulink>,
-      <ulink url="https://fossies.org/linux/www/old/html2ps-1.0b7.tar.gz/">html2ps</ulink>,
-      <ulink url="http://wvware.sourceforge.net/">libwmf</ulink>,
-      <ulink url="https://sk1project.net/uc2/">UniConvertor</ulink>, and
-      <ulink url="http://www.cs.utah.edu/gdc/projects/urt/">Utah Raster Toolkit</ulink>
-      (or <ulink url="http://www.mcmurchy.com/urt/urt-3.1b.tar.gz">URT-3.1b</ulink>)
-    </para>
-
-    <para condition="html" role="usernotes">User Notes:
-    <!-- share the main page -->
-    <ulink url="&blfs-wiki;/imagemagick"/></para>
-
-  </sect2>
-
-  <sect2 role="installation">
-    <title>Installation of ImageMagick-6 libraries</title>
-
-    <para>
-      Install <application>ImageMagick</application> by running the following
-      commands:
-    </para>
-
-<screen><userinput>patch -Np1 -i ../ImageMagick-&imagemagick6-version;-&imagemagick6-patch-version;-libs_only-1.patch &amp;&amp;
-autoreconf -fi                                          &amp;&amp;
-./configure --prefix=/usr     \
-            --sysconfdir=/etc \
-            --enable-hdri     \
-            --with-modules    \
-            --disable-static  &amp;&amp;
-make</userinput></screen>
-
-    <para>
-      Now, as the <systemitem class="username">root</systemitem> user:
-    </para>
-
-<screen role="root"><userinput>make DOCUMENTATION_PATH=/usr/share/doc/imagemagick-&imagemagick6-version; install-libs-only</userinput></screen>
-
-    <para>
-      To test the installation, issue: <command>make check</command>.
-      <!-- in 6.9.9-9 make check runs tests-validate-*  A more
-      comprehensive test is the <application>ImageMagick</application>
-      validation suite. If <command>make check</command> has not been executed,
-      run <command>make tests/validate</command> to compile it.  Issue
-      <command>tests/validate 2>&amp;1 | tee validate.log</command> to run the
-      validation suite. The result summary may be obtained with <command>grep
-      "validation suite" validate.log</command>.--> Note that the EPS, PS, and PDF
-      tests require a working <application>Ghostscript</application>. One test
-      in 'make check' needs <quote>Helvetica</quote> from <quote>Ghostscript
-      Standard Fonts</quote>, which are optionally installed in
-      <xref linkend="gs"/> - that test, and one other, might fail, but all the
-      validation can still pass.
-    </para>
-
-  </sect2>
-
-  <sect2 role="commands">
-    <title>Command Explanations</title>
-
-    <para>
-      <command>patch -Np1 -i
-        ../ImageMagick-&imagemagick6-version;-imagemagick6_libs_only-1.patch</command>:
-        Move unversioned pkgconfig files to versioned names and provide an option to
-        only install libraries and associated files.
-    </para>
-
-    <para>
-      <parameter>--enable-hdri</parameter>: Enables building of a
-      high dynamic range version of ImageMagick.
-    </para>
-
-    <para>
-      <parameter>--with-modules</parameter>: Enables support for
-      dynamically loadable modules.
-    </para>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-      href="../../xincludes/static-libraries.xml"/>
-
-    <para>
-      <option>--with-gslib</option>: Enables support to use the
-      <application>Ghostscript</application> shared library.
-    </para>
-
-    <para>
-      <option>--with-rsvg</option>: Enables support to use the
-      <application>librsvg</application> library.
-    </para>
-
-    <para>
-      <option>--with-autotrace</option>: Enables support to use
-      the <application>Autotrace</application> library.
-    </para>
-
-    <para>
-      <option>--with-wmf</option>: Enables support to use the
-      <application>libwmf</application> library.
-    </para>
-
-    <para>
-      <option>--with-gvc</option>: Enables support to use
-      <application>GraphViz</application>.
-    </para>
-
-    <para>
-      <option>--with-windows-font-dir=
-      <replaceable>&lt;Some/Directory&gt;</replaceable></option>:
-      This option specifies the directory where the Windows CoreFonts are
-      installed.
-    </para>
-
-    <para>
-      <option>--with-dejavu-font-dir=
-      <replaceable>&lt;Some/Directory&gt;</replaceable></option>:
-      This option specifies the directory where the DejaVu fonts are
-      installed.
-    </para>
-
-    <para>
-      The options and parameters listed above are the only ones you should
-      have to pass to the <command>configure</command> script to activate all
-      the delegate dependencies. All other dependencies will be automatically
-      detected and utilized in the build if they are installed.
-    </para>
-
-  </sect2>
-
-  <sect2 role="content">
-    <title>Contents</title>
-
-    <segmentedlist>
-      <segtitle>Installed Programs</segtitle>
-      <segtitle>Installed Libraries</segtitle>
-      <segtitle>Installed Directories</segtitle>
-
-      <seglistitem>
-        <seg>
-          None
-        </seg>
-        <seg>
-          libMagickCore-6.Q16HDRI.so,
-          libMagickWand-6.Q16HDRI.so and
-          libMagick++-6.Q16HDRI.so
-        </seg>
-        <seg>
-          /etc/ImageMagick-6,
-          /usr/include/ImageMagick-6,
-          /usr/lib/ImageMagick-&imagemagick6-version;,
-          /usr/share/doc/ImageMagick-&imagemagick6-version;, and
-          /usr/share/ImageMagick-6
-        </seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <variablelist>
-      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
-      <?dbfo list-presentation="list"?>
-      <?dbhtml list-presentation="table"?>
-
-    <varlistentry id="libMagickCore-6.Q16HDRI">
-      <term><filename class="libraryfile">libMagickCore-6.Q16HDRI.so</filename></term>
-      <listitem>
-        <para>
-          provides the C API for ImageMagick.
-        </para>
-        <indexterm zone="imagemagick6 libMagickCore-6.Q16HDRI">
-          <primary sortas="c-libMagickCore-6.Q16HDRI">libMagickCore-6.Q16HDRI.so</primary>
-        </indexterm>
-      </listitem>
-    </varlistentry>
-
-    <varlistentry id="libMagickWand-6.Q16HDRI">
-      <term><filename class="libraryfile">libMagickWand-6.Q16HDRI.so</filename></term>
-      <listitem>
-        <para>
-          is the recommended C API for ImageMagick. Unlike the MagickCore API it
-          uses  only a few opaque types.
-        </para>
-        <indexterm zone="imagemagick6 libMagickWand-6.Q16HDRI">
-          <primary sortas="c-libMagickWand-6.Q16HDRI">libMagickWand-6.Q16HDRI.so</primary>
-        </indexterm>
-      </listitem>
-    </varlistentry>
-
-    <varlistentry id="libMagickpp-6.Q16HDRI">
-      <term><filename class="libraryfile">libMagick++-6.Q16HDRI.so</filename></term>
-      <listitem>
-        <para>
-          provides the C++ API for ImageMagick.
-        </para>
-        <indexterm zone="imagemagick6 libMagickpp-6.Q16HDRI">
-          <primary sortas="c-libMagick++-6.Q16HDRI">libMagick++-6.Q16HDRI.so</primary>
-        </indexterm>
-      </listitem>
-    </varlistentry>
-
-    </variablelist>
-
-  </sect2>
-
-</sect1>