Index: kde/add/kdevelop.xml
===================================================================
--- kde/add/kdevelop.xml	(revision d93a1466f3014a60fb2a77ea21b9da63d2a00329)
+++ kde/add/kdevelop.xml	(revision 920c764c3e7bf32e0821ca6513e4ace4f5f7fc98)
@@ -5,10 +5,10 @@
   %general-entities;
 
-<!ENTITY kdevelop-download-http "&kde-download-http;/kdevelop-&kdevelop-version;.tar.bz2">
-<!ENTITY kdevelop-download-ftp  "&kde-download-ftp;/kdevelop-&kdevelop-version;.tar.bz2">
-<!ENTITY kdevelop-md5sum        "37352d6f5496849d5704e1503ab0273a">
-<!ENTITY kdevelop-size          "8.0 MB">
-<!ENTITY kdevelop-buildsize     "173 MB (additional 358 MB for API docs)">
-<!ENTITY kdevelop-time          "15.1 SBU (additional 9.5 SBU for API docs)">
+  <!ENTITY kdevelop-download-http "&kde-download-http;/kdevelop-&kdevelop-version;.tar.bz2">
+  <!ENTITY kdevelop-download-ftp  "&kde-download-ftp;/kdevelop-&kdevelop-version;.tar.bz2">
+  <!ENTITY kdevelop-md5sum        "37352d6f5496849d5704e1503ab0273a">
+  <!ENTITY kdevelop-size          "8.0 MB">
+  <!ENTITY kdevelop-buildsize     "173 MB (additional 358 MB for API docs)">
+  <!ENTITY kdevelop-time          "15.1 SBU (additional 9.5 SBU for API docs)">
 ]>
 
@@ -21,5 +21,5 @@
   </sect1info>
 
-  <title>kdevelop-&kdevelop-version;</title>
+  <title>Kdevelop-&kdevelop-version;</title>
 
   <indexterm zone="kdevelop">
@@ -28,5 +28,5 @@
 
   <sect2 role="package">
-    <title>Introduction to kdevelop</title>
+    <title>Introduction to Kdevelop</title>
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -52,5 +52,5 @@
     </itemizedlist>
 
-    <bridgehead renderas="sect3">kdevelop Dependencies</bridgehead>
+    <bridgehead renderas="sect3">Kdevelop Dependencies</bridgehead>
 
     <bridgehead renderas="sect4">Required</bridgehead>
@@ -62,15 +62,14 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para><xref linkend="python"/>, 
-          <ulink url="http://sourceforge.net/projects/docbase/">DocBase</ulink>, 
-          <ulink url="http://www.graphviz.org/">GraphViz</ulink>, and 
-          <xref linkend="doxygen"/>
-    </para>
+    <ulink url="http://sourceforge.net/projects/docbase/">DocBase</ulink>, 
+    <ulink url="http://www.graphviz.org/">GraphViz</ulink>, and 
+    <xref linkend="doxygen"/></para>
 
   </sect2>
 
   <sect2 role="installation">
-  <title>Installation of kdevelop</title>
+    <title>Installation of Kdevelop</title>
 
-  <para>Install <application>kdevelop</application> with:</para>
+    <para>Install <application>kdevelop</application> with:</para>
 
 <screen><userinput>./configure --prefix=&kde-dir; --disable-debug \
@@ -78,14 +77,16 @@
 make</userinput></screen>
 
-    <note> <para>If you wish to create the API documentation and you have
-    <application>Doxygen</application> and <application>GraphViz</application>
-    installed, <command>make apidox</command> must be done before <command>make
-    install</command>. You'll also need to run <command>make
-    install-apidox</command> to install the API documentation.</para> </note>
+    <note> 
+      <para>If you wish to create the API documentation and you have
+      <application>Doxygen</application> and <application>GraphViz</application>
+      installed, <command>make apidox</command> must be done before 
+      <command>make install</command>. You'll also need to run <command>make
+      install-apidox</command> to install the API documentation.</para>
+    </note>
 
     <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
 
 <screen role="root"><userinput>make install &amp;&amp;
-chown -R root:root &kde-dir;/kdevbdb</userinput></screen>
+chown -v -R root:root &kde-dir;/kdevbdb</userinput></screen>
 
   </sect2>
@@ -94,9 +95,9 @@
     <title>Command Explanations</title>
 
-    <para><command>chown -R root:root &kde-dir;/kdevbdb</command>: If
-    <application>kdevelop</application> is built by any user other than root,
-    the installed <application>Berkeley-DB</application> files will have
-    incorrect ownership. This command changes the ownership to root:root.
-    </para>
+    <para><command>chown -v -R root:root &kde-dir;/kdevbdb</command>: If
+    <application>kdevelop</application> is built by any user other than 
+    <systemitem class="username">root</systemitem> the installed 
+    <application>Berkeley-DB</application> files will have incorrect ownership. 
+    This command changes the ownership to root:root.</para>
 
   </sect2>
@@ -126,5 +127,5 @@
         <listitem>
           <para>is an Integrated Development Environment to be used for a wide 
-                variety of programming tasks in many programming languages.</para>
+          variety of programming tasks in many programming languages.</para>
           <indexterm zone="kdevelop kdevelop-prog">
             <primary sortas="b-kdevelop">kdevelop</primary>