Index: index.xml
===================================================================
--- index.xml	(revision 9e2188a8c2b71e8875c74f4cbed45f78b6fcdbd2)
+++ index.xml	(revision 921e3867d4cfd40015e470216067e961d1c0c69b)
@@ -3,6 +3,6 @@
 			"/usr/share/docbook/docbookx.dtd" [
 
-<!ENTITY version "CVS-20040221">
-<!ENTITY releasedate "February 21st, 2004">
+<!ENTITY version "CVS-20040222">
+<!ENTITY releasedate "February 22nd, 2004">
 <!ENTITY blfs-version "cvs">
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 9e2188a8c2b71e8875c74f4cbed45f78b6fcdbd2)
+++ introduction/welcome/changelog.xml	(revision 921e3867d4cfd40015e470216067e961d1c0c69b)
@@ -11,4 +11,7 @@
 
 <itemizedlist>
+
+<listitem><para>February 22nd, 2004 [igor]: Updated to ALSA-1.0.2c,
+submitted by James Iwanek.</para></listitem>
 
 <listitem><para>February 21st, 2004 [tushar]: Updated to ImageMagick-5.5.5-16,
Index: multimedia/libdriv/alsa.xml
===================================================================
--- multimedia/libdriv/alsa.xml	(revision 9e2188a8c2b71e8875c74f4cbed45f78b6fcdbd2)
+++ multimedia/libdriv/alsa.xml	(revision 921e3867d4cfd40015e470216067e961d1c0c69b)
@@ -12,13 +12,12 @@
 </para>
 
-<para><acronym>ALSA</acronym> will also be the future of Linux Sound (hence the
+<para><acronym>ALSA</acronym> is also the future of Linux Sound (hence the
 name <emphasis>Advanced Linux Sound Architecture</emphasis>), the <acronym>ALSA</acronym>
-drivers have already been included into the main linux kernel during the 2.5
-development series, which will eventually lead to <acronym>ALSA</acronym> being
-the "standard" sound drivers in the future 2.6 stable kernel.</para>
+drivers were included into the main linux kernel during the 2.5 development series,
+and they are now the "standard" sound drivers in the 2.6 stable kernel.</para>
 
-<para>The following five sections of the book deal with the five separate
+<para>The following six sections of the book deal with the six separate
 components of <acronym>ALSA</acronym>: the drivers, the libraries, the 
-utilities, the tools and the <acronym>OSS</acronym> compatibility libraries.
+utilities, the tools, the firmware  and the <acronym>OSS</acronym> compatibility libraries.
 </para>
 
@@ -29,3 +28,4 @@
 &alsa-utils;
 &alsa-tools;
+&alsa-firmware;
 &alsa-oss;
Index: multimedia/libdriv/alsa/alsa-firmware.xml
===================================================================
--- multimedia/libdriv/alsa/alsa-firmware.xml	(revision 921e3867d4cfd40015e470216067e961d1c0c69b)
+++ multimedia/libdriv/alsa/alsa-firmware.xml	(revision 921e3867d4cfd40015e470216067e961d1c0c69b)
@@ -0,0 +1,10 @@
+<sect1 id="alsa-firmware" xreflabel="ALSA Firmware-&alsa-firmware-version;">
+<?dbhtml filename="alsa-firmware.html" dir="multimedia"?>
+<title>ALSA Frimware-&alsa-firmware-version;</title>
+
+&alsa-firmware-intro;
+&alsa-firmware-inst;
+&alsa-firmware-desc;
+
+</sect1>
+
Index: multimedia/libdriv/alsa/alsa.ent
===================================================================
--- multimedia/libdriv/alsa/alsa.ent	(revision 9e2188a8c2b71e8875c74f4cbed45f78b6fcdbd2)
+++ multimedia/libdriv/alsa/alsa.ent	(revision 921e3867d4cfd40015e470216067e961d1c0c69b)
@@ -1,4 +1,4 @@
 <!ENTITY alsa SYSTEM "../alsa.xml">
-<!ENTITY alsa-version "0.9.8">
+<!ENTITY alsa-version "1.0.2">
 <!ENTITY alsa-download-http "http://www.alsa-project.org/alsa/ftp">
 <!ENTITY alsa-download-ftp "ftp://ftp.alsa-project.org/pub">
@@ -8,4 +8,5 @@
 <!ENTITY % alsa-utils SYSTEM "utils/alsa-utils.ent">
 <!ENTITY % alsa-tools SYSTEM "tools/alsa-tools.ent">
+<!ENTITY % alsa-firmware SYSTEM "firmware/alsa-firmware.ent">
 <!ENTITY % alsa-oss SYSTEM "oss/alsa-oss.ent">
 
@@ -14,3 +15,4 @@
 %alsa-utils;
 %alsa-tools;
+%alsa-firmware;
 %alsa-oss;
Index: multimedia/libdriv/alsa/driver/alsa-driver.ent
===================================================================
--- multimedia/libdriv/alsa/driver/alsa-driver.ent	(revision 9e2188a8c2b71e8875c74f4cbed45f78b6fcdbd2)
+++ multimedia/libdriv/alsa/driver/alsa-driver.ent	(revision 921e3867d4cfd40015e470216067e961d1c0c69b)
@@ -5,8 +5,8 @@
 <!ENTITY alsa-driver-config SYSTEM "alsa-driver-config.xml">
 <!ENTITY alsa-driver-desc SYSTEM "alsa-driver-desc.xml">
-<!ENTITY alsa-driver-version "&alsa-version;">
+<!ENTITY alsa-driver-version "&alsa-version;c">
 <!ENTITY alsa-driver-download-http "&alsa-download-http;/driver/alsa-driver-&alsa-driver-version;.tar.bz2">
 <!ENTITY alsa-driver-download-ftp "&alsa-download-ftp;/driver/alsa-driver-&alsa-driver-version;.tar.bz2">
 <!ENTITY alsa-driver-size "1.6 MB">
-<!ENTITY alsa-driver-buildsize "29 MB (for all drivers)">
+<!ENTITY alsa-driver-buildsize "30 MB (for all drivers)">
 <!ENTITY alsa-driver-time "1.13 SBU">
Index: multimedia/libdriv/alsa/firmware/alsa-firmware-desc.xml
===================================================================
--- multimedia/libdriv/alsa/firmware/alsa-firmware-desc.xml	(revision 921e3867d4cfd40015e470216067e961d1c0c69b)
+++ multimedia/libdriv/alsa/firmware/alsa-firmware-desc.xml	(revision 921e3867d4cfd40015e470216067e961d1c0c69b)
@@ -0,0 +1,13 @@
+<sect2>
+<title>Contents</title>
+
+<para>The firmware available in this package is <command>??</command>.</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>??</title>
+<para><command>firmware</command></para></sect3>
+
+</sect2>
Index: multimedia/libdriv/alsa/firmware/alsa-firmware-inst.xml
===================================================================
--- multimedia/libdriv/alsa/firmware/alsa-firmware-inst.xml	(revision 921e3867d4cfd40015e470216067e961d1c0c69b)
+++ multimedia/libdriv/alsa/firmware/alsa-firmware-inst.xml	(revision 921e3867d4cfd40015e470216067e961d1c0c69b)
@@ -0,0 +1,14 @@
+<sect2>
+<title>Installation of <application><acronym>ALSA</acronym> Firmware</application></title>
+
+<para>The <application><acronym>ALSA</acronym> Firmware</application> package is 
+only needed by those with advanced requirements for their sound card.</para>
+
+<para>Install <application><acronym>ALSA</acronym> Firmware</application> by running 
+the following commands:</para>
+
+<screen><userinput><command>./configure --prefix=/usr &amp;&amp;
+make &amp;&amp;
+make install</command></userinput></screen>
+
+</sect2>
Index: multimedia/libdriv/alsa/firmware/alsa-firmware-intro.xml
===================================================================
--- multimedia/libdriv/alsa/firmware/alsa-firmware-intro.xml	(revision 921e3867d4cfd40015e470216067e961d1c0c69b)
+++ multimedia/libdriv/alsa/firmware/alsa-firmware-intro.xml	(revision 921e3867d4cfd40015e470216067e961d1c0c69b)
@@ -0,0 +1,23 @@
+<sect2>
+<title>Introduction to <application><acronym>ALSA</acronym> Firmware</application></title>
+
+<para>The <application><acronym>ALSA</acronym> Firmware</application> package contains 
+firmware for certain soundcards.</para>
+
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink url="&alsa-firmware-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink url="&alsa-firmware-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &alsa-firmware-size;</para></listitem>
+<listitem><para>Estimated Disk space required: &alsa-firmware-buildsize;</para></listitem>
+<listitem><para>Estimated build time: &alsa-firmware-time;</para></listitem></itemizedlist>
+</sect3>
+
+<sect3><title><application><acronym>ALSA</acronym> Firmware</application> dependencies</title>
+<sect4><title>Required</title>
+<para>
+<xref linkend="alsa-tools"/>
+</para></sect4>
+</sect3>
+
+</sect2>
Index: multimedia/libdriv/alsa/firmware/alsa-firmware.ent
===================================================================
--- multimedia/libdriv/alsa/firmware/alsa-firmware.ent	(revision 921e3867d4cfd40015e470216067e961d1c0c69b)
+++ multimedia/libdriv/alsa/firmware/alsa-firmware.ent	(revision 921e3867d4cfd40015e470216067e961d1c0c69b)
@@ -0,0 +1,10 @@
+<!ENTITY alsa-firmware SYSTEM "../alsa-firmware.xml">
+<!ENTITY alsa-firmware-intro SYSTEM "alsa-firmware-intro.xml">
+<!ENTITY alsa-firmware-inst SYSTEM "alsa-firmware-inst.xml">
+<!ENTITY alsa-firmware-desc SYSTEM "alsa-firmware-desc.xml">
+<!ENTITY alsa-firmware-version "&alsa-version;">
+<!ENTITY alsa-firmware-download-http "&alsa-download-http;/firmware/alsa-firmware-&alsa-firmware-version;.tar.bz2">
+<!ENTITY alsa-firmware-download-ftp "&alsa-download-ftp;/firmware/alsa-firmware-&alsa-firmware-version;.tar.bz2">
+<!ENTITY alsa-firmware-size "1007 KB">
+<!ENTITY alsa-firmware-buildsize "5.5 MB">
+<!ENTITY alsa-firmware-time "varies">
Index: multimedia/libdriv/alsa/lib/alsa-lib.ent
===================================================================
--- multimedia/libdriv/alsa/lib/alsa-lib.ent	(revision 9e2188a8c2b71e8875c74f4cbed45f78b6fcdbd2)
+++ multimedia/libdriv/alsa/lib/alsa-lib.ent	(revision 921e3867d4cfd40015e470216067e961d1c0c69b)
@@ -7,5 +7,5 @@
 <!ENTITY alsa-lib-download-http "&alsa-download-http;/lib/alsa-lib-&alsa-lib-version;.tar.bz2">
 <!ENTITY alsa-lib-download-ftp "&alsa-download-ftp;/lib/alsa-lib-&alsa-lib-version;.tar.bz2">
-<!ENTITY alsa-lib-size "524 KB">
-<!ENTITY alsa-lib-buildsize "21 MB">
+<!ENTITY alsa-lib-size "551 KB">
+<!ENTITY alsa-lib-buildsize "22 MB">
 <!ENTITY alsa-lib-time "0.41 SBU">
Index: multimedia/libdriv/alsa/oss/alsa-oss.ent
===================================================================
--- multimedia/libdriv/alsa/oss/alsa-oss.ent	(revision 9e2188a8c2b71e8875c74f4cbed45f78b6fcdbd2)
+++ multimedia/libdriv/alsa/oss/alsa-oss.ent	(revision 921e3867d4cfd40015e470216067e961d1c0c69b)
@@ -7,5 +7,5 @@
 <!ENTITY alsa-oss-download-http "&alsa-download-http;/oss-lib/alsa-oss-&alsa-oss-version;.tar.bz2">
 <!ENTITY alsa-oss-download-ftp "&alsa-download-ftp;/oss-lib/alsa-oss-&alsa-oss-version;.tar.bz2">
-<!ENTITY alsa-oss-size "132 KB">
-<!ENTITY alsa-oss-buildsize "1.30 MB">
+<!ENTITY alsa-oss-size "140 KB">
+<!ENTITY alsa-oss-buildsize "1.4 MB">
 <!ENTITY alsa-oss-time "0.04 SBU">
Index: multimedia/libdriv/alsa/tools/alsa-tools-inst.xml
===================================================================
--- multimedia/libdriv/alsa/tools/alsa-tools-inst.xml	(revision 9e2188a8c2b71e8875c74f4cbed45f78b6fcdbd2)
+++ multimedia/libdriv/alsa/tools/alsa-tools-inst.xml	(revision 921e3867d4cfd40015e470216067e961d1c0c69b)
@@ -8,5 +8,5 @@
 commands:</para>
 
-<screen><userinput><command>./configure &amp;&amp;
+<screen><userinput><command>./configure --prefix=/usr &amp;&amp;
 make &amp;&amp;
 make install</command></userinput></screen>
Index: multimedia/libdriv/alsa/tools/alsa-tools.ent
===================================================================
--- multimedia/libdriv/alsa/tools/alsa-tools.ent	(revision 9e2188a8c2b71e8875c74f4cbed45f78b6fcdbd2)
+++ multimedia/libdriv/alsa/tools/alsa-tools.ent	(revision 921e3867d4cfd40015e470216067e961d1c0c69b)
@@ -6,5 +6,5 @@
 <!ENTITY alsa-tools-download-http "&alsa-download-http;/tools/alsa-tools-&alsa-tools-version;.tar.bz2">
 <!ENTITY alsa-tools-download-ftp "&alsa-download-ftp;/tools/alsa-tools-&alsa-tools-version;.tar.bz2">
-<!ENTITY alsa-tools-size "1.5 MB">
-<!ENTITY alsa-tools-buildsize "11.0 MB (to compile all tools)">
+<!ENTITY alsa-tools-size "717 KB">
+<!ENTITY alsa-tools-buildsize "16 MB (to compile all tools)">
 <!ENTITY alsa-tools-time "varies">
Index: multimedia/libdriv/alsa/utils/alsa-utils.ent
===================================================================
--- multimedia/libdriv/alsa/utils/alsa-utils.ent	(revision 9e2188a8c2b71e8875c74f4cbed45f78b6fcdbd2)
+++ multimedia/libdriv/alsa/utils/alsa-utils.ent	(revision 921e3867d4cfd40015e470216067e961d1c0c69b)
@@ -7,5 +7,5 @@
 <!ENTITY alsa-utils-download-http "&alsa-download-http;/utils/alsa-utils-&alsa-utils-version;.tar.bz2">
 <!ENTITY alsa-utils-download-ftp "&alsa-download-ftp;/utils/alsa-utils-&alsa-utils-version;.tar.bz2">
-<!ENTITY alsa-utils-size "107 KB">
-<!ENTITY alsa-utils-buildsize "1.9 MB">
+<!ENTITY alsa-utils-size "130 KB">
+<!ENTITY alsa-utils-buildsize "2.4 MB">
 <!ENTITY alsa-utils-time "0.06 SBU">